searchData={"items":[{"type":"module","title":"GoogleApi.DataCatalog.V1","doc":"API client metadata for GoogleApi.DataCatalog.V1.","ref":"GoogleApi.DataCatalog.V1.html"},{"type":"function","title":"GoogleApi.DataCatalog.V1.discovery_revision/0","doc":"","ref":"GoogleApi.DataCatalog.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Api.Catalog","doc":"API calls for all endpoints tagged `Catalog`.","ref":"GoogleApi.DataCatalog.V1.Api.Catalog.html"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Catalog.datacatalog_catalog_search/3","doc":"Searches Data Catalog for multiple resources like entries and tags that match a query. This is a [Custom Method] (https://cloud.google.com/apis/design/custom_methods) that doesn't return all information on a resource, only its ID and high level fields. To get more information, you can subsequently call specific get methods. Note: Data Catalog search queries don't guarantee full recall. Results that match your query might not be returned, even in subsequent result pages. Additionally, returned (and not returned) results can vary if you repeat search queries. For more information, see [Data Catalog search syntax] (https://cloud.google.com/data-catalog/docs/how-to/search-reference).","ref":"GoogleApi.DataCatalog.V1.Api.Catalog.html#datacatalog_catalog_search/3"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Catalog.datacatalog_catalog_search/3","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Catalog.html#datacatalog_catalog_search/3-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Catalog.datacatalog_catalog_search/3","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Catalog.html#datacatalog_catalog_search/3-returns"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Api.Entries","doc":"API calls for all endpoints tagged `Entries`.","ref":"GoogleApi.DataCatalog.V1.Api.Entries.html"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Entries.datacatalog_entries_lookup/3","doc":"Gets an entry by its target resource name. The resource name comes from the source Google Cloud Platform service.","ref":"GoogleApi.DataCatalog.V1.Api.Entries.html#datacatalog_entries_lookup/3"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Entries.datacatalog_entries_lookup/3","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:fullyQualifiedName` (*type:* `String.t`) - [Fully Qualified Name (FQN)](https://cloud.google.com//data-catalog/docs/fully-qualified-names) of the resource. FQNs take two forms: * For non-regionalized resources: `{SYSTEM}:{PROJECT}.{PATH_TO_RESOURCE_SEPARATED_WITH_DOTS}` * For regionalized resources: `{SYSTEM}:{PROJECT}.{LOCATION_ID}.{PATH_TO_RESOURCE_SEPARATED_WITH_DOTS}` Example for a DPMS table: `dataproc_metastore:{PROJECT_ID}.{LOCATION_ID}.{INSTANCE_ID}.{DATABASE_ID}.{TABLE_ID}`\n    *   `:linkedResource` (*type:* `String.t`) - The full name of the Google Cloud Platform resource the Data Catalog entry represents. For more information, see [Full Resource Name] (https://cloud.google.com/apis/design/resource_names#full_resource_name). Full names are case-sensitive. For example: * `//bigquery.googleapis.com/projects/{PROJECT_ID}/datasets/{DATASET_ID}/tables/{TABLE_ID}` * `//pubsub.googleapis.com/projects/{PROJECT_ID}/topics/{TOPIC_ID}`\n    *   `:location` (*type:* `String.t`) - Location where the lookup should be performed. Required to lookup entry that is not a part of `DPMS` or `DATAPLEX` `integrated_system` using its `fully_qualified_name`. Ignored in other cases.\n    *   `:project` (*type:* `String.t`) - Project where the lookup should be performed. Required to lookup entry that is not a part of `DPMS` or `DATAPLEX` `integrated_system` using its `fully_qualified_name`. Ignored in other cases.\n    *   `:sqlResource` (*type:* `String.t`) - The SQL name of the entry. SQL names are case-sensitive. Examples: * `pubsub.topic.{PROJECT_ID}.{TOPIC_ID}` * `pubsub.topic.{PROJECT_ID}.`\\``{TOPIC.ID.SEPARATED.WITH.DOTS}`\\` * `bigquery.table.{PROJECT_ID}.{DATASET_ID}.{TABLE_ID}` * `bigquery.dataset.{PROJECT_ID}.{DATASET_ID}` * `datacatalog.entry.{PROJECT_ID}.{LOCATION_ID}.{ENTRY_GROUP_ID}.{ENTRY_ID}` Identifiers (`*_ID`) should comply with the [Lexical structure in Standard SQL] (https://cloud.google.com/bigquery/docs/reference/standard-sql/lexical).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Entries.html#datacatalog_entries_lookup/3-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Entries.datacatalog_entries_lookup/3","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Entries.html#datacatalog_entries_lookup/3-returns"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_create/5","doc":"Creates an entry group. An entry group contains logically related entries together with [Cloud Identity and Access Management](/data-catalog/docs/concepts/iam) policies. These policies specify users who can create, edit, and view entries within entry groups. Data Catalog automatically creates entry groups with names that start with the `@` symbol for the following resources: * BigQuery entries (`@bigquery`) * Pub/Sub topics (`@pubsub`) * Dataproc Metastore services (`@dataproc_metastore_{SERVICE_NAME_HASH}`) You can create your own entry groups for Cloud Storage fileset entries and custom entries together with the corresponding IAM policies. User-created entry groups can't contain the `@` symbol, it is reserved for automatically created groups. Entry groups, like entries, can be searched. A maximum of 10,000 entry groups may be created per organization across all locations. You must enable the Data Catalog API in the project identified by the `parent` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_create/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_create/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The names of the project and location that the new entry group belongs to. Note: The entry group itself and its child resources might not be stored in the location specified in its name.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:entryGroupId` (*type:* `String.t`) - Required. The ID of the entry group to create. The ID must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and must start with a letter or underscore. The maximum size is 64 bytes when encoded in UTF-8.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_create/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_create/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_create/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_delete/6","doc":"Deletes an entry group. You must enable the Data Catalog API in the project identified by the `name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_delete/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_delete/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the entry group to delete.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - Optional. If true, deletes all entries in the entry group.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_delete/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_delete/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_create/6","doc":"Creates an entry. You can create entries only with 'FILESET', 'CLUSTER', 'DATA_STREAM', or custom types. Data Catalog automatically creates entries with other types during metadata ingestion from integrated systems. You must enable the Data Catalog API in the project identified by the `parent` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project). An entry group can have a maximum of 100,000 entries.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_create/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_create/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the entry group this entry belongs to. Note: The entry itself and its child resources might not be stored in the location specified in its name.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:entryId` (*type:* `String.t`) - Required. The ID of the entry to create. The ID must contain only letters (a-z, A-Z), numbers (0-9), and underscores (_). The maximum size is 64 bytes when encoded in UTF-8.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_create/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_create/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_create/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_delete/7","doc":"Deletes an existing entry. You can delete only the entries created by the CreateEntry method. You must enable the Data Catalog API in the project identified by the `name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_delete/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_delete/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the entry to delete.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_delete/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_delete/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get/7","doc":"Gets an entry.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the entry to get.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7","doc":"Gets the access control policy for a resource. May return: * A`NOT_FOUND` error if the resource doesn't exist or you don't have the permission to view it. * An empty policy if the resource exists but doesn't have a set policy. Supported resources are: - Tag templates - Entry groups Note: This method doesn't get policies from Google Cloud Platform resources ingested into Data Catalog. To call this method, you must have the following Google IAM permissions: - `datacatalog.tagTemplates.getIamPolicy` to get policies on tag templates. - `datacatalog.entryGroups.getIamPolicy` to get policies on entry groups.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_import/6","doc":"Imports entries from a source, such as data previously dumped into a Cloud Storage bucket, into Data Catalog. Import of entries is a sync operation that reconciles the state of the third-party system with the Data Catalog. `ImportEntries` accepts source data snapshots of a third-party system. Snapshot should be delivered as a .wire or base65-encoded .txt file containing a sequence of Protocol Buffer messages of DumpItem type. `ImportEntries` returns a long-running operation resource that can be queried with Operations.GetOperation to return ImportEntriesMetadata and an ImportEntriesResponse message.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_import/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_import/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Target entry group for ingested entries.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_import/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_import/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_import/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_list/6","doc":"Lists entries. Note: Currently, this method can list only custom entries. To get a list of both custom and automatically created entries, use SearchCatalog.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_list/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_list/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the entry group that contains the entries to list. Can be provided in URL format.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return. Default is 10. Maximum limit is 1000. Throws an invalid argument if `page_size` is more than 1000.\n    *   `:pageToken` (*type:* `String.t`) - Pagination token that specifies the next page to return. If empty, the first page is returned.\n    *   `:readMask` (*type:* `String.t`) - The fields to return for each entry. If empty or omitted, all fields are returned. For example, to return a list of entries with only the `name` field, set `read_mask` to only one path with the `name` value.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_list/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntriesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_list/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_modify_entry_contacts/7","doc":"Modifies contacts, part of the business context of an Entry. To call this method, you must have the `datacatalog.entries.updateContacts` IAM permission on the corresponding project.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_modify_entry_contacts/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_modify_entry_contacts/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The full resource name of the entry.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryContactsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_modify_entry_contacts/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_modify_entry_contacts/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Contacts{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_modify_entry_contacts/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_modify_entry_overview/7","doc":"Modifies entry overview, part of the business context of an Entry. To call this method, you must have the `datacatalog.entries.updateOverview` IAM permission on the corresponding project.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_modify_entry_overview/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_modify_entry_overview/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The full resource name of the entry.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryOverviewRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_modify_entry_overview/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_modify_entry_overview/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryOverview{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_modify_entry_overview/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_patch/7","doc":"Updates an existing entry. You must enable the Data Catalog API in the project identified by the `entry.name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_patch/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_patch/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `entry.name`. Output only. Identifier. The resource name of an entry in URL format. Note: The entry itself and its child resources might not be stored in the location specified in its name.\n*   `locations_id` (*type:* `String.t`) - Part of `entry.name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `entry.name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `entry.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Names of fields whose values to overwrite on an entry. If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied. You can modify only the fields listed below. For entries with type `DATA_STREAM`: * `schema` For entries with type `FILESET`: * `schema` * `display_name` * `description` * `gcs_fileset_spec` * `gcs_fileset_spec.file_patterns` For entries with `user_specified_type`: * `schema` * `display_name` * `description` * `user_specified_type` * `user_specified_system` * `linked_resource` * `source_system_timestamps`\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_patch/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_patch/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_star/7","doc":"Marks an Entry as starred by the current user. Starring information is private to each user.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_star/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_star/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the entry to mark as starred.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_star/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_star/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_star/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_create/7","doc":"Creates a tag and assigns it to: * An Entry if the method name is `projects.locations.entryGroups.entries.tags.create`. * Or EntryGroupif the method name is `projects.locations.entryGroups.tags.create`. Note: The project identified by the `parent` parameter for the [tag] (https://cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries.tags/create#path-parameters) and the [tag template] (https://cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.tagTemplates/create#path-parameters) used to create the tag must be in the same organization.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_create/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_create/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the resource to attach this tag to. Tags can be attached to entries or entry groups. An entry can have up to 1000 attached tags. Note: The tag and its child resources might not be stored in the location specified in its name.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_create/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_create/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_create/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_delete/8","doc":"Deletes a tag.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_delete/8"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_delete/8","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag to delete.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tags_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_delete/8-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_delete/8","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_delete/8-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_list/7","doc":"Lists tags assigned to an Entry. The columns in the response are lowercased.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_list/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_list/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the Data Catalog resource to list the tags of. The resource can be an Entry or an EntryGroup (without `/entries/{entries}` at the end).\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of tags to return. Default is 10. Maximum limit is 1000.\n    *   `:pageToken` (*type:* `String.t`) - Pagination token that specifies the next page to return. If empty, the first page is returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_list/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_list/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTagsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_list/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_patch/8","doc":"Updates an existing tag.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_patch/8"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_patch/8","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `tag.name`. Identifier. The resource name of the tag in URL format where tag ID is a system-generated identifier. Note: The tag itself might not be stored in the location specified in its name.\n*   `locations_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `tags_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Names of fields whose values to overwrite on a tag. Currently, a tag has the only modifiable field with the name `fields`. In general, if this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_patch/8-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_patch/8","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_patch/8-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_reconcile/7","doc":"`ReconcileTags` creates or updates a list of tags on the entry. If the ReconcileTagsRequest.force_delete_missing parameter is set, the operation deletes tags not included in the input tag list. `ReconcileTags` returns a long-running operation resource that can be queried with Operations.GetOperation to return ReconcileTagsMetadata and a ReconcileTagsResponse message.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_reconcile/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_reconcile/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Name of Entry to be tagged.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_reconcile/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_reconcile/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_reconcile/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7","doc":"Gets your permissions on a resource. Returns an empty set of permissions if the resource doesn't exist. Supported resources are: - Tag templates - Entry groups Note: This method gets policies only within Data Catalog and can't be used to get policies from BigQuery, Pub/Sub, Dataproc Metastore, and any external Google Cloud Platform resources ingested into Data Catalog. No Google IAM permissions are required to call this method.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_unstar/7","doc":"Marks an Entry as NOT starred by the current user. Starring information is private to each user.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_unstar/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_unstar/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the entry to mark as **not** starred.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_unstar/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_unstar/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_unstar/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_get/6","doc":"Gets an entry group.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_get/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the entry group to get.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:readMask` (*type:* `String.t`) - The fields to return. If empty or omitted, all fields are returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_get/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_get_iam_policy/6","doc":"Gets the access control policy for a resource. May return: * A`NOT_FOUND` error if the resource doesn't exist or you don't have the permission to view it. * An empty policy if the resource exists but doesn't have a set policy. Supported resources are: - Tag templates - Entry groups Note: This method doesn't get policies from Google Cloud Platform resources ingested into Data Catalog. To call this method, you must have the following Google IAM permissions: - `datacatalog.tagTemplates.getIamPolicy` to get policies on tag templates. - `datacatalog.entryGroups.getIamPolicy` to get policies on entry groups.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_list/5","doc":"Lists entry groups.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_list/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_list/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the location that contains the entry groups to list. Can be provided as a URL.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return. Default is 10. Maximum limit is 1000. Throws an invalid argument if `page_size` is greater than 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. Pagination token that specifies the next page to return. If empty, returns the first page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_list/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntryGroupsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_list/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_patch/6","doc":"Updates an entry group. You must enable the Data Catalog API in the project identified by the `entry_group.name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_patch/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_patch/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `entryGroup.name`. Identifier. The resource name of the entry group in URL format. Note: The entry group itself and its child resources might not be stored in the location specified in its name.\n*   `locations_id` (*type:* `String.t`) - Part of `entryGroup.name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `entryGroup.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Names of fields whose values to overwrite on an entry group. If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_patch/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_patch/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_set_iam_policy/6","doc":"Sets an access control policy for a resource. Replaces any existing policy. Supported resources are: - Tag templates - Entry groups Note: This method sets policies only within Data Catalog and can't be used to manage policies in BigQuery, Pub/Sub, Dataproc Metastore, and any external Google Cloud Platform resources synced with the Data Catalog. To call this method, you must have the following Google IAM permissions: - `datacatalog.tagTemplates.setIamPolicy` to set policies on tag templates. - `datacatalog.entryGroups.setIamPolicy` to set policies on entry groups.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.SetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_create/6","doc":"Creates a tag and assigns it to: * An Entry if the method name is `projects.locations.entryGroups.entries.tags.create`. * Or EntryGroupif the method name is `projects.locations.entryGroups.tags.create`. Note: The project identified by the `parent` parameter for the [tag] (https://cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries.tags/create#path-parameters) and the [tag template] (https://cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.tagTemplates/create#path-parameters) used to create the tag must be in the same organization.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_create/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_create/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the resource to attach this tag to. Tags can be attached to entries or entry groups. An entry can have up to 1000 attached tags. Note: The tag and its child resources might not be stored in the location specified in its name.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_create/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_create/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_create/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_delete/7","doc":"Deletes a tag.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_delete/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_delete/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag to delete.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tags_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_delete/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_delete/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_list/6","doc":"Lists tags assigned to an Entry. The columns in the response are lowercased.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_list/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_list/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the Data Catalog resource to list the tags of. The resource can be an Entry or an EntryGroup (without `/entries/{entries}` at the end).\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of tags to return. Default is 10. Maximum limit is 1000.\n    *   `:pageToken` (*type:* `String.t`) - Pagination token that specifies the next page to return. If empty, the first page is returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_list/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTagsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_list/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_patch/7","doc":"Updates an existing tag.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_patch/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_patch/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `tag.name`. Identifier. The resource name of the tag in URL format where tag ID is a system-generated identifier. Note: The tag itself might not be stored in the location specified in its name.\n*   `locations_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `tags_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Names of fields whose values to overwrite on a tag. Currently, a tag has the only modifiable field with the name `fields`. In general, if this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_patch/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_patch/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_test_iam_permissions/6","doc":"Gets your permissions on a resource. Returns an empty set of permissions if the resource doesn't exist. Supported resources are: - Tag templates - Entry groups Note: This method gets policies only within Data Catalog and can't be used to get policies from BigQuery, Pub/Sub, Dataproc Metastore, and any external Google Cloud Platform resources ingested into Data Catalog. No Google IAM permissions are required to call this method.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_entry_groups_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_entry_groups_test_iam_permissions/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_operations_cancel/6","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_operations_cancel/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_operations_cancel/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. The name of the operation resource to be cancelled.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `operations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_operations_cancel/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_operations_cancel/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_operations_cancel/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_operations_delete/6","doc":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_operations_delete/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_operations_delete/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. The name of the operation resource to be deleted.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `operations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_operations_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_operations_delete/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_operations_delete/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_operations_get/6","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_operations_get/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_operations_get/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. The name of the operation resource.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `operations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_operations_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_operations_get/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_operations_get/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_operations_list/5","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_operations_list/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_operations_list/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. The name of the operation's parent resource.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_operations_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_operations_list/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.ListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_operations_list/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_create/5","doc":"Creates a tag template. You must enable the Data Catalog API in the project identified by the `parent` parameter. For more information, see [Data Catalog resource project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project).","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_create/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_create/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the project and the template location [region](https://cloud.google.com/data-catalog/docs/concepts/regions).\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:tagTemplateId` (*type:* `String.t`) - Required. The ID of the tag template to create. The ID must contain only lowercase letters (a-z), numbers (0-9), or underscores (_), and must start with a letter or underscore. The maximum size is 64 bytes when encoded in UTF-8.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_create/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_create/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_create/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_delete/6","doc":"Deletes a tag template and all tags that use it. You must enable the Data Catalog API in the project identified by the `name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_delete/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_delete/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag template to delete.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - Required. If true, deletes all tags that use this template. Currently, `true` is the only supported value.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_delete/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_delete/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_create/6","doc":"Creates a field in a tag template. You must enable the Data Catalog API in the project identified by the `parent` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_create/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_create/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the project and the template location [region](https://cloud.google.com/data-catalog/docs/concepts/regions).\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:tagTemplateFieldId` (*type:* `String.t`) - Required. The ID of the tag template field to create. Note: Adding a required field to an existing template is *not* allowed. Field IDs can contain letters (both uppercase and lowercase), numbers (0-9), underscores (_) and dashes (-). Field IDs must be at least 1 character long and at most 128 characters long. Field IDs must also be unique within their template.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_create/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_create/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_create/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_delete/7","doc":"Deletes a field in a tag template and all uses of this field from the tags based on this template. You must enable the Data Catalog API in the project identified by the `name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_delete/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_delete/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag template field to delete.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `fields_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - Required. If true, deletes this field from any tags that use it. Currently, `true` is the only supported value.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_delete/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_delete/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8","doc":"Renames an enum value in a tag template. Within a single enum field, enum values must be unique.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the enum field value.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `fields_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `enum_values_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldEnumValueRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_patch/7","doc":"Updates a field in a tag template. You can't update the field type with this method. You must enable the Data Catalog API in the project identified by the `name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_patch/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_patch/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag template field.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `fields_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. Names of fields whose values to overwrite on an individual field of a tag template. The following fields are modifiable: * `display_name` * `type.enum_type` * `is_required` If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied with one exception: when updating an enum type, the provided values are merged with the existing values. Therefore, enum values can only be added, existing enum values cannot be deleted or renamed. Additionally, updating a template field from optional to required is *not* allowed.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_patch/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_patch/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_rename/7","doc":"Renames a field in a tag template. You must enable the Data Catalog API in the project identified by the `name` parameter. For more information, see [Data Catalog resource project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project).","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_rename/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_rename/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag template field.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `fields_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_rename/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_rename/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_rename/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_get/6","doc":"Gets a tag template.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_get/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag template to get.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_get/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_get_iam_policy/6","doc":"Gets the access control policy for a resource. May return: * A`NOT_FOUND` error if the resource doesn't exist or you don't have the permission to view it. * An empty policy if the resource exists but doesn't have a set policy. Supported resources are: - Tag templates - Entry groups Note: This method doesn't get policies from Google Cloud Platform resources ingested into Data Catalog. To call this method, you must have the following Google IAM permissions: - `datacatalog.tagTemplates.getIamPolicy` to get policies on tag templates. - `datacatalog.entryGroups.getIamPolicy` to get policies on entry groups.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_patch/6","doc":"Updates a tag template. You can't update template fields with this method. These fields are separate resources with their own create, update, and delete methods. You must enable the Data Catalog API in the project identified by the `tag_template.name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_patch/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_patch/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `tagTemplate.name`. Identifier. The resource name of the tag template in URL format. Note: The tag template itself and its child resources might not be stored in the location specified in its name.\n*   `locations_id` (*type:* `String.t`) - Part of `tagTemplate.name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `tagTemplate.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Names of fields whose values to overwrite on a tag template. Currently, only `display_name` and `is_publicly_readable` can be overwritten. If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied. Note: Updating the `is_publicly_readable` field may require up to 12 hours to take effect in search results.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_patch/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_patch/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_set_iam_policy/6","doc":"Sets an access control policy for a resource. Replaces any existing policy. Supported resources are: - Tag templates - Entry groups Note: This method sets policies only within Data Catalog and can't be used to manage policies in BigQuery, Pub/Sub, Dataproc Metastore, and any external Google Cloud Platform resources synced with the Data Catalog. To call this method, you must have the following Google IAM permissions: - `datacatalog.tagTemplates.setIamPolicy` to set policies on tag templates. - `datacatalog.entryGroups.setIamPolicy` to set policies on entry groups.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.SetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_test_iam_permissions/6","doc":"Gets your permissions on a resource. Returns an empty set of permissions if the resource doesn't exist. Supported resources are: - Tag templates - Entry groups Note: This method gets policies only within Data Catalog and can't be used to get policies from BigQuery, Pub/Sub, Dataproc Metastore, and any external Google Cloud Platform resources ingested into Data Catalog. No Google IAM permissions are required to call this method.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_tag_templates_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_tag_templates_test_iam_permissions/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_create/5","doc":"Creates a taxonomy in a specified project. The taxonomy is initially empty, that is, it doesn't contain policy tags.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_create/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_create/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Resource name of the project that the taxonomy will belong to.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_create/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_create/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_create/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_delete/6","doc":"Deletes a taxonomy, including all policy tags in this taxonomy, their associated policies, and the policy tags references from BigQuery columns.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_delete/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_delete/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. Resource name of the taxonomy to delete. Note: All policy tags in this taxonomy are also deleted.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_delete/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_delete/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_export/5","doc":"Exports taxonomies in the requested type and returns them, including their policy tags. The requested taxonomies must belong to the same project. This method generates `SerializedTaxonomy` protocol buffers with nested policy tags that can be used as input for `ImportTaxonomies` calls.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_export/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_export/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Resource name of the project that the exported taxonomies belong to.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:serializedTaxonomies` (*type:* `boolean()`) - Serialized export taxonomies that contain all the policy tags as nested protocol buffers.\n    *   `:taxonomies` (*type:* `list(String.t)`) - Required. Resource names of the taxonomies to export.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_export/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_export/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ExportTaxonomiesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_export/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_get/6","doc":"Gets a taxonomy.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_get/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. Resource name of the taxonomy to get.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_get/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_get_iam_policy/6","doc":"Gets the IAM policy for a policy tag or a taxonomy.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_import/5","doc":"Creates new taxonomies (including their policy tags) in a given project by importing from inlined or cross-regional sources. For a cross-regional source, new taxonomies are created by copying from a source in another region. For an inlined source, taxonomies and policy tags are created in bulk using nested protocol buffer structures.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_import/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_import/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Resource name of project that the imported taxonomies will belong to.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_import/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_import/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_import/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_list/5","doc":"Lists all taxonomies in a project in a particular location that you have a permission to view.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_list/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_list/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Resource name of the project to list the taxonomies of.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Supported field for filter is 'service' and value is 'dataplex'. Eg: service=dataplex.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return. Must be a value between 1 and 1000 inclusively. If not set, defaults to 50.\n    *   `:pageToken` (*type:* `String.t`) - The pagination token of the next results page. If not set, the first page is returned. The token is returned in the response to a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_list/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTaxonomiesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_list/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_patch/6","doc":"Updates a taxonomy, including its display name, description, and activated policy types.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_patch/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_patch/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `taxonomy.name`. Identifier. Resource name of this taxonomy in URL format. Note: Policy tag manager generates unique taxonomy IDs.\n*   `locations_id` (*type:* `String.t`) - Part of `taxonomy.name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `taxonomy.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Specifies fields to update. If not set, defaults to all fields you can update. For more information, see [FieldMask] (https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask).\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_patch/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_patch/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_create/6","doc":"Creates a policy tag in a taxonomy.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_create/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_create/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Resource name of the taxonomy that the policy tag will belong to.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_create/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_create/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_create/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_delete/7","doc":"Deletes a policy tag together with the following: * All of its descendant policy tags, if any * Policies associated with the policy tag and its descendants * References from BigQuery table schema of the policy tag and its descendants","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_delete/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_delete/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. Resource name of the policy tag to delete. Note: All of its descendant policy tags are also deleted.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `policy_tags_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_delete/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_delete/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get/7","doc":"Gets a policy tag.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. Resource name of the policy tag.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `policy_tags_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7","doc":"Gets the IAM policy for a policy tag or a taxonomy.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `policy_tags_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_list/6","doc":"Lists all policy tags in a taxonomy.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_list/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_list/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Resource name of the taxonomy to list the policy tags of.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return. Must be a value between 1 and 1000 inclusively. If not set, defaults to 50.\n    *   `:pageToken` (*type:* `String.t`) - The pagination token of the next results page. If not set, returns the first page. The token is returned in the response to a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_list/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListPolicyTagsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_list/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_patch/7","doc":"Updates a policy tag, including its display name, description, and parent policy tag.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_patch/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_patch/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `policyTag.name`. Identifier. Resource name of this policy tag in the URL format. The policy tag manager generates unique taxonomy IDs and policy tag IDs.\n*   `locations_id` (*type:* `String.t`) - Part of `policyTag.name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `policyTag.name`. See documentation of `projectsId`.\n*   `policy_tags_id` (*type:* `String.t`) - Part of `policyTag.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Specifies the fields to update. You can update only display name, description, and parent policy tag. If not set, defaults to all updatable fields. For more information, see [FieldMask] (https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask).\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_patch/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_patch/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7","doc":"Sets the IAM policy for a policy tag or a taxonomy.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `policy_tags_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.SetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7","doc":"Returns your permissions on a specified policy tag or taxonomy.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `policy_tags_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_replace/6","doc":"Replaces (updates) a taxonomy and all its policy tags. The taxonomy and its entire hierarchy of policy tags must be represented literally by `SerializedTaxonomy` and the nested `SerializedPolicyTag` messages. This operation automatically does the following: - Deletes the existing policy tags that are missing from the `SerializedPolicyTag`. - Creates policy tags that don't have resource names. They are considered new. - Updates policy tags with valid resources names accordingly.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_replace/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_replace/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. Resource name of the taxonomy to update.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReplaceTaxonomyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_replace/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_replace/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_replace/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_set_iam_policy/6","doc":"Sets the IAM policy for a policy tag or a taxonomy.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.SetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_test_iam_permissions/6","doc":"Returns your permissions on a specified policy tag or taxonomy.","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Api.Projects.datacatalog_projects_locations_taxonomies_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1.Api.Projects.html#datacatalog_projects_locations_taxonomies_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Connection","doc":"Handle Tesla connections for GoogleApi.DataCatalog.V1.","ref":"GoogleApi.DataCatalog.V1.Connection.html"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.DataCatalog.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.DataCatalog.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.DataCatalog.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.DataCatalog.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.DataCatalog.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.DataCatalog.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.DataCatalog.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataCatalog.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataCatalog.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataCatalog.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataCatalog.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataCatalog.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataCatalog.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.DataCatalog.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.DataCatalog.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.DataCatalog.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.DataCatalog.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.DataCatalog.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.DataCatalog.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Connection.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.Binding","doc":"Associates `members`, or principals, with a `role`.","ref":"GoogleApi.DataCatalog.V1.Model.Binding.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.Binding","doc":"*   `condition` (*type:* `GoogleApi.DataCatalog.V1.Model.Expr.t`, *default:* `nil`) - The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).\n*   `members` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: * `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. * `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. Does not include identities that come from external identity providers (IdPs) through identity federation. * `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . * `serviceAccount:{emailid}`: An email address that represents a Google service account. For example, `my-other-app@appspot.gserviceaccount.com`. * `serviceAccount:{projectid}.svc.id.goog[{namespace}/{kubernetes-sa}]`: An identifier for a [Kubernetes service account](https://cloud.google.com/kubernetes-engine/docs/how-to/kubernetes-service-accounts). For example, `my-project.svc.id.goog[my-namespace/my-kubernetes-sa]`. * `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. * `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. * `principal://iam.googleapis.com/locations/global/workforcePools/{pool_id}/subject/{subject_attribute_value}`: A single identity in a workforce identity pool. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/group/{group_id}`: All workforce identities in a group. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/attribute.{attribute_name}/{attribute_value}`: All workforce identities with a specific attribute value. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/*`: All identities in a workforce identity pool. * `principal://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/subject/{subject_attribute_value}`: A single identity in a workload identity pool. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/group/{group_id}`: A workload identity pool group. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/attribute.{attribute_name}/{attribute_value}`: All identities in a workload identity pool with a certain attribute. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/*`: All identities in a workload identity pool. * `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. * `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. * `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. * `deleted:principal://iam.googleapis.com/locations/global/workforcePools/{pool_id}/subject/{subject_attribute_value}`: Deleted single identity in a workforce identity pool. For example, `deleted:principal://iam.googleapis.com/locations/global/workforcePools/my-pool-id/subject/my-subject-attribute-value`.\n*   `role` (*type:* `String.t`, *default:* `nil`) - Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`. For an overview of the IAM roles and permissions, see the [IAM documentation](https://cloud.google.com/iam/docs/roles-overview). For a list of the available pre-defined roles, see [here](https://cloud.google.com/iam/docs/understanding-roles).","ref":"GoogleApi.DataCatalog.V1.Model.Binding.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.Binding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.Binding.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.Binding.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.Binding.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.DataCatalog.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.Empty","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.Expr","doc":"Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() < 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.","ref":"GoogleApi.DataCatalog.V1.Model.Expr.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.Expr","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.\n*   `expression` (*type:* `String.t`, *default:* `nil`) - Textual representation of an expression in Common Expression Language syntax.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.","ref":"GoogleApi.DataCatalog.V1.Model.Expr.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.Expr.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.Expr.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.Expr.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.Expr.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest","doc":"Request message for `GetIamPolicy` method.","ref":"GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest","doc":"*   `options` (*type:* `GoogleApi.DataCatalog.V1.Model.GetPolicyOptions.t`, *default:* `nil`) - OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.","ref":"GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GetIamPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GetPolicyOptions","doc":"Encapsulates settings provided to GetIamPolicy.","ref":"GoogleApi.DataCatalog.V1.Model.GetPolicyOptions.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GetPolicyOptions","doc":"*   `requestedPolicyVersion` (*type:* `integer()`, *default:* `nil`) - Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).","ref":"GoogleApi.DataCatalog.V1.Model.GetPolicyOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GetPolicyOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GetPolicyOptions.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GetPolicyOptions.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GetPolicyOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec","doc":"Specification for the BigQuery connection.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec","doc":"*   `cloudSql` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.t`, *default:* `nil`) - Specification for the BigQuery connection to a Cloud SQL instance.\n*   `connectionType` (*type:* `String.t`, *default:* `nil`) - The type of the BigQuery connection.\n*   `hasCredential` (*type:* `boolean()`, *default:* `nil`) - True if there are credentials attached to the BigQuery connection; false otherwise.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec","doc":"Specification for a group of BigQuery tables with the `[prefix]YYYYMMDD` name pattern. For more information, see [Introduction to partitioned tables] (https://cloud.google.com/bigquery/docs/partitioned-tables#partitioning_versus_sharding).","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec","doc":"*   `dataset` (*type:* `String.t`, *default:* `nil`) - Output only. The Data Catalog resource name of the dataset entry the current table belongs to. For example: `projects/{PROJECT_ID}/locations/{LOCATION}/entrygroups/{ENTRY_GROUP_ID}/entries/{ENTRY_ID}`.\n*   `latestShardResource` (*type:* `String.t`, *default:* `nil`) - Output only. BigQuery resource name of the latest shard.\n*   `shardCount` (*type:* `String.t`, *default:* `nil`) - Output only. Total number of shards.\n*   `tablePrefix` (*type:* `String.t`, *default:* `nil`) - Output only. The table name prefix of the shards. The name of any given shard is `[table_prefix]YYYYMMDD`. For example, for the `MyTable20180101` shard, the `table_prefix` is `MyTable`.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec","doc":"Fields specific for BigQuery routines.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec","doc":"*   `importedLibraries` (*type:* `list(String.t)`, *default:* `nil`) - Paths of the imported libraries.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec","doc":"Describes a BigQuery table.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec","doc":"*   `tableSourceType` (*type:* `String.t`, *default:* `nil`) - Output only. The table source type.\n*   `tableSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TableSpec.t`, *default:* `nil`) - Specification of a BigQuery table. Populated only if the `table_source_type` is `BIGQUERY_TABLE`.\n*   `viewSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ViewSpec.t`, *default:* `nil`) - Table view specification. Populated only if the `table_source_type` is `BIGQUERY_VIEW`.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BusinessContext","doc":"Business Context of the entry.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BusinessContext.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BusinessContext","doc":"*   `contacts` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Contacts.t`, *default:* `nil`) - Contact people for the entry.\n*   `entryOverview` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryOverview.t`, *default:* `nil`) - Entry overview fields for rich text descriptions of entries.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BusinessContext.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BusinessContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BusinessContext.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BusinessContext.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BusinessContext.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec","doc":"Specification that applies to Instance entries that are part of `CLOUD_BIGTABLE` system. (user_specified_type)","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec","doc":"*   `cloudBigtableClusterSpecs` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.t)`, *default:* `nil`) - The list of clusters for the Instance.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec","doc":"Spec that applies to clusters of an Instance of Cloud Bigtable.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Name of the cluster.\n*   `linkedResource` (*type:* `String.t`, *default:* `nil`) - A link back to the parent resource, in this case Instance.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Location of the cluster, typically a Cloud zone.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of the resource. For a cluster this would be \"CLUSTER\".","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec","doc":"Specification that applies to all entries that are part of `CLOUD_BIGTABLE` system (user_specified_type)","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec","doc":"*   `instanceDisplayName` (*type:* `String.t`, *default:* `nil`) - Display name of the Instance. This is user specified and different from the resource name.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec","doc":"Specification for the BigQuery connection to a Cloud SQL instance.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec","doc":"*   `database` (*type:* `String.t`, *default:* `nil`) - Database name.\n*   `instanceId` (*type:* `String.t`, *default:* `nil`) - Cloud SQL instance ID in the format of `project:location:instance`.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of the Cloud SQL database.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchema","doc":"A column within a schema. Columns can be nested inside other columns.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchema","doc":"*   `column` (*type:* `String.t`, *default:* `nil`) - Required. Name of the column. Must be a UTF-8 string without dots (.). The maximum size is 64 bytes.\n*   `defaultValue` (*type:* `String.t`, *default:* `nil`) - Optional. Default value for the column.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the column. Default value is an empty string. The description must be a UTF-8 string with the maximum size of 2000 bytes.\n*   `gcRule` (*type:* `String.t`, *default:* `nil`) - Optional. Garbage collection policy for the column or column family. Applies to systems like Cloud Bigtable.\n*   `highestIndexingType` (*type:* `String.t`, *default:* `nil`) - Optional. Most important inclusion of this column.\n*   `lookerColumnSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.t`, *default:* `nil`) - Looker specific column info of this column.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - Optional. A column's mode indicates whether values in this column are required, nullable, or repeated. Only `NULLABLE`, `REQUIRED`, and `REPEATED` values are supported. Default mode is `NULLABLE`.\n*   `ordinalPosition` (*type:* `integer()`, *default:* `nil`) - Optional. Ordinal position\n*   `rangeElementType` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.t`, *default:* `nil`) - Optional. The subtype of the RANGE, if the type of this field is RANGE. If the type is RANGE, this field is required. Possible values for the field element type of a RANGE include: * DATE * DATETIME * TIMESTAMP\n*   `subcolumns` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchema.t)`, *default:* `nil`) - Optional. Schema of sub-columns. A column can have zero or more sub-columns.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Required. Type of the column. Must be a UTF-8 string with the maximum size of 128 bytes.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType","doc":"Represents the type of a field element.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType","doc":"*   `type` (*type:* `String.t`, *default:* `nil`) - Required. The type of a field element. See ColumnSchema.type.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec","doc":"Column info specific to Looker System.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec","doc":"*   `type` (*type:* `String.t`, *default:* `nil`) - Looker specific column type of this column.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CommonUsageStats","doc":"Common statistics on the entry's usage. They can be set on any system.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CommonUsageStats.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CommonUsageStats","doc":"*   `viewCount` (*type:* `String.t`, *default:* `nil`) - View count in source system.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CommonUsageStats.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CommonUsageStats.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CommonUsageStats.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CommonUsageStats.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CommonUsageStats.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Contacts","doc":"Contact people for the entry.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Contacts.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Contacts","doc":"*   `people` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ContactsPerson.t)`, *default:* `nil`) - The list of contact people for the entry.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Contacts.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Contacts.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Contacts.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Contacts.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Contacts.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ContactsPerson","doc":"A contact person for the entry.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ContactsPerson.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ContactsPerson","doc":"*   `designation` (*type:* `String.t`, *default:* `nil`) - Designation of the person, for example, Data Steward.\n*   `email` (*type:* `String.t`, *default:* `nil`) - Email of the person in the format of `john.doe@xyz`, ``, or `John Doe`.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ContactsPerson.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ContactsPerson.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ContactsPerson.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ContactsPerson.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ContactsPerson.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CrossRegionalSource","doc":"Cross-regional source used to import an existing taxonomy into a different region.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CrossRegionalSource.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CrossRegionalSource","doc":"*   `taxonomy` (*type:* `String.t`, *default:* `nil`) - Required. The resource name of the source taxonomy to import.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CrossRegionalSource.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CrossRegionalSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CrossRegionalSource.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CrossRegionalSource.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CrossRegionalSource.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSource","doc":"Physical location of an entry.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSource.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSource","doc":"*   `resource` (*type:* `String.t`, *default:* `nil`) - Full name of a resource as defined by the service. For example: `//bigquery.googleapis.com/projects/{PROJECT_ID}/locations/{LOCATION}/datasets/{DATASET_ID}/tables/{TABLE_ID}`\n*   `service` (*type:* `String.t`, *default:* `nil`) - Service that physically stores the data.\n*   `sourceEntry` (*type:* `String.t`, *default:* `nil`) - Output only. Data Catalog entry name, if applicable.\n*   `storageProperties` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StorageProperties.t`, *default:* `nil`) - Detailed properties of the underlying storage.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSource.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSource.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSource.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSource.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec","doc":"Specification that applies to a data source connection. Valid only for entries with the `DATA_SOURCE_CONNECTION` type. Only one of internal specs can be set at the time, and cannot be changed later.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec","doc":"*   `bigqueryConnectionSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.t`, *default:* `nil`) - Output only. Fields specific to BigQuery connections.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec","doc":"Specification that applies to a table resource. Valid only for entries with the `TABLE` type.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec","doc":"*   `databaseViewSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.t`, *default:* `nil`) - Spec what aplies to tables that are actually views. Not set for \"real\" tables.\n*   `dataplexTable` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.t`, *default:* `nil`) - Output only. Fields specific to a Dataplex table and present only in the Dataplex table entries.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of this table.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec","doc":"Specification that applies to database view.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec","doc":"*   `baseTable` (*type:* `String.t`, *default:* `nil`) - Name of a singular table this view reflects one to one.\n*   `sqlQuery` (*type:* `String.t`, *default:* `nil`) - SQL query used to generate this view.\n*   `viewType` (*type:* `String.t`, *default:* `nil`) - Type of this view.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexExternalTable","doc":"External table registered by Dataplex. Dataplex publishes data discovered from an asset into multiple other systems (BigQuery, DPMS) in form of tables. We call them \"external tables\". External tables are also synced into the Data Catalog. This message contains pointers to those external tables (fully qualified name, resource name et cetera) within the Data Catalog.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexExternalTable","doc":"*   `dataCatalogEntry` (*type:* `String.t`, *default:* `nil`) - Name of the Data Catalog entry representing the external table.\n*   `fullyQualifiedName` (*type:* `String.t`, *default:* `nil`) - Fully qualified name (FQN) of the external table.\n*   `googleCloudResource` (*type:* `String.t`, *default:* `nil`) - Google Cloud resource name of the external table.\n*   `system` (*type:* `String.t`, *default:* `nil`) - Service in which the external table is registered.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec","doc":"Entry specyfication for a Dataplex fileset.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec","doc":"*   `dataplexSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexSpec.t`, *default:* `nil`) - Common Dataplex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexSpec","doc":"Common Dataplex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexSpec","doc":"*   `asset` (*type:* `String.t`, *default:* `nil`) - Fully qualified resource name of an asset in Dataplex, to which the underlying data source (Cloud Storage bucket or BigQuery dataset) of the entity is attached.\n*   `compressionFormat` (*type:* `String.t`, *default:* `nil`) - Compression format of the data, e.g., zip, gzip etc.\n*   `dataFormat` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchema.t`, *default:* `nil`) - Format of the data.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Project ID of the underlying Cloud Storage or BigQuery data. Note that this may not be the same project as the correspondingly Dataplex lake / zone / asset.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexTableSpec","doc":"Entry specification for a Dataplex table.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexTableSpec","doc":"*   `dataplexSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexSpec.t`, *default:* `nil`) - Common Dataplex fields.\n*   `externalTables` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.t)`, *default:* `nil`) - List of external tables registered by Dataplex in other systems based on the same underlying data. External tables allow to query this data in those systems.\n*   `userManaged` (*type:* `boolean()`, *default:* `nil`) - Indicates if the table schema is managed by the user or not.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatasetSpec","doc":"Specification that applies to a dataset. Valid only for entries with the `DATASET` type.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatasetSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatasetSpec","doc":"*   `vertexDatasetSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.t`, *default:* `nil`) - Vertex AI Dataset specific fields","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatasetSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatasetSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatasetSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatasetSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatasetSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DumpItem","doc":"Wrapper for any item that can be contained in the dump.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DumpItem.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DumpItem","doc":"*   `taggedEntry` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaggedEntry.t`, *default:* `nil`) - Entry and its tags.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DumpItem.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DumpItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DumpItem.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DumpItem.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DumpItem.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry","doc":"Entry metadata. A Data Catalog entry represents another resource in Google Cloud Platform (such as a BigQuery dataset or a Pub/Sub topic) or outside of it. You can use the `linked_resource` field in the entry resource to refer to the original resource ID of the source system. An entry resource contains resource details, for example, its schema. Additionally, you can attach flexible metadata to an entry in the form of a Tag.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry","doc":"*   `bigqueryDateShardedSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.t`, *default:* `nil`) - Output only. Specification for a group of BigQuery tables with the `[prefix]YYYYMMDD` name pattern. For more information, see [Introduction to partitioned tables] (https://cloud.google.com/bigquery/docs/partitioned-tables#partitioning_versus_sharding).\n*   `bigqueryTableSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.t`, *default:* `nil`) - Output only. Specification that applies to a BigQuery table. Valid only for entries with the `TABLE` type.\n*   `businessContext` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BusinessContext.t`, *default:* `nil`) - Business Context of the entry. Not supported for BigQuery datasets\n*   `cloudBigtableSystemSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.t`, *default:* `nil`) - Specification that applies to Cloud Bigtable system. Only settable when `integrated_system` is equal to `CLOUD_BIGTABLE`\n*   `dataSource` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSource.t`, *default:* `nil`) - Output only. Physical location of the entry.\n*   `dataSourceConnectionSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.t`, *default:* `nil`) - Specification that applies to a data source connection. Valid only for entries with the `DATA_SOURCE_CONNECTION` type.\n*   `databaseTableSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.t`, *default:* `nil`) - Specification that applies to a table resource. Valid only for entries with the `TABLE` or `EXPLORE` type.\n*   `datasetSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DatasetSpec.t`, *default:* `nil`) - Specification that applies to a dataset.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Entry description that can consist of several sentences or paragraphs that describe entry contents. The description must not contain Unicode non-characters as well as C0 and C1 control codes except tabs (HT), new lines (LF), carriage returns (CR), and page breaks (FF). The maximum size is 2000 bytes when encoded in UTF-8. Default value is an empty string.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Display name of an entry. The maximum size is 500 bytes when encoded in UTF-8. Default value is an empty string.\n*   `featureOnlineStoreSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.t`, *default:* `nil`) - FeatureonlineStore spec for Vertex AI Feature Store.\n*   `filesetSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FilesetSpec.t`, *default:* `nil`) - Specification that applies to a fileset resource. Valid only for entries with the `FILESET` type.\n*   `fullyQualifiedName` (*type:* `String.t`, *default:* `nil`) - [Fully Qualified Name (FQN)](https://cloud.google.com//data-catalog/docs/fully-qualified-names) of the resource. Set automatically for entries representing resources from synced systems. Settable only during creation, and read-only later. Can be used for search and lookup of the entries. \n*   `gcsFilesetSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.t`, *default:* `nil`) - Specification that applies to a Cloud Storage fileset. Valid only for entries with the `FILESET` type.\n*   `integratedSystem` (*type:* `String.t`, *default:* `nil`) - Output only. Indicates the entry's source system that Data Catalog integrates with, such as BigQuery, Pub/Sub, or Dataproc Metastore.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Cloud labels attached to the entry. In Data Catalog, you can create and modify labels attached only to custom entries. Synced entries have unmodifiable labels that come from the source system.\n*   `linkedResource` (*type:* `String.t`, *default:* `nil`) - The resource this metadata entry refers to. For Google Cloud Platform resources, `linked_resource` is the [Full Resource Name] (https://cloud.google.com/apis/design/resource_names#full_resource_name). For example, the `linked_resource` for a table resource from BigQuery is: `//bigquery.googleapis.com/projects/{PROJECT_ID}/datasets/{DATASET_ID}/tables/{TABLE_ID}` Output only when the entry is one of the types in the `EntryType` enum. For entries with a `user_specified_type`, this field is optional and defaults to an empty string. The resource string must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), periods (.), colons (:), slashes (/), dashes (-), and hashes (#). The maximum size is 200 bytes when encoded in UTF-8.\n*   `lookerSystemSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.t`, *default:* `nil`) - Specification that applies to Looker sysstem. Only settable when `user_specified_system` is equal to `LOOKER`\n*   `modelSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModelSpec.t`, *default:* `nil`) - Model specification.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Identifier. The resource name of an entry in URL format. Note: The entry itself and its child resources might not be stored in the location specified in its name.\n*   `personalDetails` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PersonalDetails.t`, *default:* `nil`) - Output only. Additional information related to the entry. Private to the current user.\n*   `routineSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpec.t`, *default:* `nil`) - Specification that applies to a user-defined function or procedure. Valid only for entries with the `ROUTINE` type.\n*   `schema` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Schema.t`, *default:* `nil`) - Schema of the entry. An entry might not have any schema attached to it.\n*   `serviceSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ServiceSpec.t`, *default:* `nil`) - Specification that applies to a Service resource.\n*   `sourceSystemTimestamps` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SystemTimestamps.t`, *default:* `nil`) - Timestamps from the underlying resource, not from the Data Catalog entry. Output only when the entry has a system listed in the `IntegratedSystem` enum. For entries with `user_specified_system`, this field is optional and defaults to an empty timestamp.\n*   `sqlDatabaseSystemSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.t`, *default:* `nil`) - Specification that applies to a relational database system. Only settable when `user_specified_system` is equal to `SQL_DATABASE`\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the entry. For details, see [`EntryType`](#entrytype).\n*   `usageSignal` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageSignal.t`, *default:* `nil`) - Resource usage statistics.\n*   `userSpecifiedSystem` (*type:* `String.t`, *default:* `nil`) - Indicates the entry's source system that Data Catalog doesn't automatically integrate with. The `user_specified_system` string has the following limitations: * Is case insensitive. * Must begin with a letter or underscore. * Can only contain letters, numbers, and underscores. * Must be at least 1 character and at most 64 characters long.\n*   `userSpecifiedType` (*type:* `String.t`, *default:* `nil`) - Custom entry type that doesn't match any of the values allowed for input and listed in the `EntryType` enum. When creating an entry, first check the type values in the enum. If there are no appropriate types for the new entry, provide a custom value, for example, `my_special_type`. The `user_specified_type` string has the following limitations: * Is case insensitive. * Must begin with a letter or underscore. * Can only contain letters, numbers, and underscores. * Must be at least 1 character and at most 64 characters long.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup","doc":"Entry group metadata. An `EntryGroup` resource represents a logical grouping of zero or more Data Catalog Entry resources.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup","doc":"*   `dataCatalogTimestamps` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SystemTimestamps.t`, *default:* `nil`) - Output only. Timestamps of the entry group. Default value is empty.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Entry group description. Can consist of several sentences or paragraphs that describe the entry group contents. Default value is an empty string.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - A short name to identify the entry group, for example, \"analytics data - jan 2011\". Default value is an empty string.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. The resource name of the entry group in URL format. Note: The entry group itself and its child resources might not be stored in the location specified in its name.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryOverview","doc":"Entry overview fields for rich text descriptions of entries.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryOverview.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryOverview","doc":"*   `overview` (*type:* `String.t`, *default:* `nil`) - Entry overview with support for rich text. The overview must only contain Unicode characters, and should be formatted using HTML. The maximum length is 10 MiB as this value holds HTML descriptions including encoded images. The maximum length of the text without images is 100 KiB.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryOverview.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryOverview.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryOverview.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryOverview.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryOverview.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ExportTaxonomiesResponse","doc":"Response message for ExportTaxonomies.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ExportTaxonomiesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ExportTaxonomiesResponse","doc":"*   `taxonomies` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedTaxonomy.t)`, *default:* `nil`) - List of taxonomies and policy tags as nested protocol buffers.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ExportTaxonomiesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ExportTaxonomiesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ExportTaxonomiesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ExportTaxonomiesResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ExportTaxonomiesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec","doc":"Detail description of the source information of a Vertex Feature Online Store.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec","doc":"*   `storageType` (*type:* `String.t`, *default:* `nil`) - Output only. Type of underelaying storage for the FeatureOnlineStore.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldType","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldType.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldType","doc":"*   `enumType` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumType.t`, *default:* `nil`) - An enum type.\n*   `primitiveType` (*type:* `String.t`, *default:* `nil`) - Primitive types, such as string, boolean, etc.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldType.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldType.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldType.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldType.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumType","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumType.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumType","doc":"*   `allowedValues` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumTypeEnumValue.t)`, *default:* `nil`) - The set of allowed values for this enum. This set must not be empty and can include up to 100 allowed values. The display names of the values in this set must not be empty and must be case-insensitively unique within this set. The order of items in this set is preserved. This field can be used to create, remove, and reorder enum values. To rename enum values, use the `RenameTagTemplateFieldEnumValue` method.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumType.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumType.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumType.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumType.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumTypeEnumValue","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumTypeEnumValue.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumTypeEnumValue","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The display name of the enum value. Must not be an empty string. The name must contain only Unicode letters, numbers (0-9), underscores (_), dashes (-), spaces ( ), and can't start or end with spaces. The maximum length is 200 characters.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumTypeEnumValue.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumTypeEnumValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumTypeEnumValue.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumTypeEnumValue.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldTypeEnumTypeEnumValue.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FilesetSpec","doc":"Specification that applies to a fileset. Valid only for entries with the 'FILESET' type.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FilesetSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FilesetSpec","doc":"*   `dataplexFileset` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.t`, *default:* `nil`) - Fields specific to a Dataplex fileset and present only in the Dataplex fileset entries.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FilesetSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FilesetSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FilesetSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FilesetSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FilesetSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFileSpec","doc":"Specification of a single file in Cloud Storage.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFileSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFileSpec","doc":"*   `filePath` (*type:* `String.t`, *default:* `nil`) - Required. Full file path. Example: `gs://bucket_name/a/b.txt`.\n*   `gcsTimestamps` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SystemTimestamps.t`, *default:* `nil`) - Output only. Creation, modification, and expiration timestamps of a Cloud Storage file.\n*   `sizeBytes` (*type:* `String.t`, *default:* `nil`) - Output only. File size in bytes.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFileSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFileSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFileSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFileSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFileSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec","doc":"Describes a Cloud Storage fileset entry.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec","doc":"*   `filePatterns` (*type:* `list(String.t)`, *default:* `nil`) - Required. Patterns to identify a set of files in Google Cloud Storage. For more information, see [Wildcard Names] (https://cloud.google.com/storage/docs/gsutil/addlhelp/WildcardNames). Note: Currently, bucket wildcards are not supported. Examples of valid `file_patterns`: * `gs://bucket_name/dir/*`: matches all files in `bucket_name/dir` directory * `gs://bucket_name/dir/**`: matches all files in `bucket_name/dir` and all subdirectories * `gs://bucket_name/file*`: matches files prefixed by `file` in `bucket_name` * `gs://bucket_name/??.txt`: matches files with two characters followed by `.txt` in `bucket_name` * `gs://bucket_name/[aeiou].txt`: matches files that contain a single vowel character followed by `.txt` in `bucket_name` * `gs://bucket_name/[a-m].txt`: matches files that contain `a`, `b`, ... or `m` followed by `.txt` in `bucket_name` * `gs://bucket_name/a/*/b`: matches all files in `bucket_name` that match the `a/*/b` pattern, such as `a/c/b`, `a/d/b` * `gs://another_bucket/a.txt`: matches `gs://another_bucket/a.txt` You can combine wildcards to match complex sets of files, for example: `gs://bucket_name/[a-m]??.j*g`\n*   `sampleGcsFileSpecs` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFileSpec.t)`, *default:* `nil`) - Output only. Sample files contained in this fileset, not all files contained in this fileset are represented here.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata","doc":"Metadata message for long-running operation returned by the ImportEntries.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.DataCatalog.V1.Model.Status.t)`, *default:* `nil`) - Partial errors that are encountered during the ImportEntries operation. There is no guarantee that all the encountered errors are reported. However, if no errors are reported, it means that no errors were encountered.\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of the import operation.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesRequest","doc":"Request message for ImportEntries method.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesRequest","doc":"*   `gcsBucketPath` (*type:* `String.t`, *default:* `nil`) - Path to a Cloud Storage bucket that contains a dump ready for ingestion.\n*   `jobId` (*type:* `String.t`, *default:* `nil`) - Optional. (Optional) Dataplex task job id, if specified will be used as part of ImportEntries LRO ID","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse","doc":"Response message for long-running operation returned by the ImportEntries.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse","doc":"*   `deletedEntriesCount` (*type:* `String.t`, *default:* `nil`) - Number of entries deleted as a result of import operation.\n*   `upsertedEntriesCount` (*type:* `String.t`, *default:* `nil`) - Cumulative number of entries created and entries updated as a result of import operation.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesRequest","doc":"Request message for ImportTaxonomies.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesRequest","doc":"*   `crossRegionalSource` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CrossRegionalSource.t`, *default:* `nil`) - Cross-regional source taxonomy to import.\n*   `inlineSource` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1InlineSource.t`, *default:* `nil`) - Inline source taxonomy to import.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesResponse","doc":"Response message for ImportTaxonomies.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesResponse","doc":"*   `taxonomies` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy.t)`, *default:* `nil`) - Imported taxonomies.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ImportTaxonomiesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1InlineSource","doc":"Inline source containing taxonomies to import.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1InlineSource.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1InlineSource","doc":"*   `taxonomies` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedTaxonomy.t)`, *default:* `nil`) - Required. Taxonomies to import.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1InlineSource.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1InlineSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1InlineSource.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1InlineSource.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1InlineSource.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntriesResponse","doc":"Response message for ListEntries.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntriesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntriesResponse","doc":"*   `entries` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry.t)`, *default:* `nil`) - Entry details.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Pagination token of the next results page. Empty if there are no more items in results.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntriesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntriesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntriesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntriesResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntriesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntryGroupsResponse","doc":"Response message for ListEntryGroups.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntryGroupsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntryGroupsResponse","doc":"*   `entryGroups` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryGroup.t)`, *default:* `nil`) - Entry group details.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Pagination token to specify in the next call to retrieve the next page of results. Empty if there are no more items.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntryGroupsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntryGroupsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntryGroupsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntryGroupsResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListEntryGroupsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListPolicyTagsResponse","doc":"Response message for ListPolicyTags.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListPolicyTagsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListPolicyTagsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Pagination token of the next results page. Empty if there are no more results in the list.\n*   `policyTags` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag.t)`, *default:* `nil`) - The policy tags that belong to the taxonomy.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListPolicyTagsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListPolicyTagsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListPolicyTagsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListPolicyTagsResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListPolicyTagsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTagsResponse","doc":"Response message for ListTags.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTagsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTagsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Pagination token of the next results page. Empty if there are no more items in results.\n*   `tags` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.t)`, *default:* `nil`) - Tag details.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTagsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTagsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTagsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTagsResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTagsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTaxonomiesResponse","doc":"Response message for ListTaxonomies.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTaxonomiesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTaxonomiesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Pagination token of the next results page. Empty if there are no more results in the list.\n*   `taxonomies` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy.t)`, *default:* `nil`) - Taxonomies that the project contains.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTaxonomiesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTaxonomiesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTaxonomiesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTaxonomiesResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ListTaxonomiesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1LookerSystemSpec","doc":"Specification that applies to entries that are part `LOOKER` system (user_specified_type)","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1LookerSystemSpec","doc":"*   `parentInstanceDisplayName` (*type:* `String.t`, *default:* `nil`) - Name of the parent Looker Instance. Empty if it does not exist.\n*   `parentInstanceId` (*type:* `String.t`, *default:* `nil`) - ID of the parent Looker Instance. Empty if it does not exist. Example value: `someinstance.looker.com`\n*   `parentModelDisplayName` (*type:* `String.t`, *default:* `nil`) - Name of the parent Model. Empty if it does not exist.\n*   `parentModelId` (*type:* `String.t`, *default:* `nil`) - ID of the parent Model. Empty if it does not exist.\n*   `parentViewDisplayName` (*type:* `String.t`, *default:* `nil`) - Name of the parent View. Empty if it does not exist.\n*   `parentViewId` (*type:* `String.t`, *default:* `nil`) - ID of the parent View. Empty if it does not exist.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModelSpec","doc":"Specification that applies to a model. Valid only for entries with the `MODEL` type.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModelSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModelSpec","doc":"*   `vertexModelSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSpec.t`, *default:* `nil`) - Specification for vertex model resources.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModelSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModelSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModelSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModelSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModelSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryContactsRequest","doc":"Request message for ModifyEntryContacts.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryContactsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryContactsRequest","doc":"*   `contacts` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Contacts.t`, *default:* `nil`) - Required. The new value for the Contacts.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryContactsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryContactsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryContactsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryContactsRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryContactsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryOverviewRequest","doc":"Request message for ModifyEntryOverview.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryOverviewRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryOverviewRequest","doc":"*   `entryOverview` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1EntryOverview.t`, *default:* `nil`) - Required. The new value for the Entry Overview.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryOverviewRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryOverviewRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryOverviewRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryOverviewRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ModifyEntryOverviewRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PersonalDetails","doc":"Entry metadata relevant only to the user and private to them.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PersonalDetails.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PersonalDetails","doc":"*   `starTime` (*type:* `DateTime.t`, *default:* `nil`) - Set if the entry is starred; unset otherwise.\n*   `starred` (*type:* `boolean()`, *default:* `nil`) - True if the entry is starred by the user; false otherwise.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PersonalDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PersonalDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PersonalDetails.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PersonalDetails.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PersonalDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchema","doc":"Native schema used by a resource represented as an entry. Used by query engines for deserializing and parsing source data.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchema","doc":"*   `avro` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.t`, *default:* `nil`) - Schema in Avro JSON format.\n*   `csv` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.t`, *default:* `nil`) - Marks a CSV-encoded data source.\n*   `orc` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.t`, *default:* `nil`) - Marks an ORC-encoded data source.\n*   `parquet` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.t`, *default:* `nil`) - Marks a Parquet-encoded data source.\n*   `protobuf` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.t`, *default:* `nil`) - Schema in protocol buffer format.\n*   `thrift` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.t`, *default:* `nil`) - Schema in Thrift format.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema","doc":"Schema in Avro JSON format.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - JSON source of the Avro schema.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema","doc":"Marks a CSV-encoded data source.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema","doc":"Marks an ORC-encoded data source.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema","doc":"Marks a Parquet-encoded data source.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema","doc":"Schema in protocol buffer format.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Protocol buffer source of the schema.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema","doc":"Schema in Thrift format.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Thrift IDL source of the schema.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag","doc":"Denotes one policy tag in a taxonomy, for example, SSN. Policy tags can be defined in a hierarchy. For example: ``` + Geolocation + LatLong + City + ZipCode ``` Where the \"Geolocation\" policy tag contains three children.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag","doc":"*   `childPolicyTags` (*type:* `list(String.t)`, *default:* `nil`) - Output only. Resource names of child policy tags of this policy tag.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of this policy tag. If not set, defaults to empty. The description must contain only Unicode characters, tabs, newlines, carriage returns and page breaks, and be at most 2000 bytes long when encoded in UTF-8.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. User-defined name of this policy tag. The name can't start or end with spaces and must be unique within the parent taxonomy, contain only Unicode letters, numbers, underscores, dashes and spaces, and be at most 200 bytes long when encoded in UTF-8.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. Resource name of this policy tag in the URL format. The policy tag manager generates unique taxonomy IDs and policy tag IDs.\n*   `parentPolicyTag` (*type:* `String.t`, *default:* `nil`) - Resource name of this policy tag's parent policy tag. If empty, this is a top level tag. If not set, defaults to an empty string. For example, for the \"LatLong\" policy tag in the example above, this field contains the resource name of the \"Geolocation\" policy tag, and, for \"Geolocation\", this field is empty.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1PolicyTag.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata","doc":"Long-running operation metadata message returned by the ReconcileTags.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata","doc":"*   `errors` (*type:* `%{optional(String.t) => GoogleApi.DataCatalog.V1.Model.Status.t}`, *default:* `nil`) - Maps the name of each tagged column (or empty string for a sole entry) to tagging operation status.\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of the reconciliation operation.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsRequest","doc":"Request message for ReconcileTags.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsRequest","doc":"*   `forceDeleteMissing` (*type:* `boolean()`, *default:* `nil`) - If set to `true`, deletes entry tags related to a tag template not listed in the tags source from an entry. If set to `false`, unlisted tags are retained.\n*   `tagTemplate` (*type:* `String.t`, *default:* `nil`) - Required. The name of the tag template, which is used for reconciliation.\n*   `tags` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.t)`, *default:* `nil`) - A list of tags to apply to an entry. A tag can specify a tag template, which must be the template specified in the `ReconcileTagsRequest`. The sole entry and each of its columns must be mentioned at most once.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse","doc":"Long-running operation response message returned by ReconcileTags.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse","doc":"*   `createdTagsCount` (*type:* `String.t`, *default:* `nil`) - Number of tags created in the request.\n*   `deletedTagsCount` (*type:* `String.t`, *default:* `nil`) - Number of tags deleted in the request.\n*   `updatedTagsCount` (*type:* `String.t`, *default:* `nil`) - Number of tags updated in the request.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldEnumValueRequest","doc":"Request message for RenameTagTemplateFieldEnumValue.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldEnumValueRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldEnumValueRequest","doc":"*   `newEnumValueDisplayName` (*type:* `String.t`, *default:* `nil`) - Required. The new display name of the enum value. For example, `my_new_enum_value`.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldEnumValueRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldEnumValueRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldEnumValueRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldEnumValueRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldEnumValueRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldRequest","doc":"Request message for RenameTagTemplateField.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldRequest","doc":"*   `newTagTemplateFieldId` (*type:* `String.t`, *default:* `nil`) - Required. The new ID of this tag template field. For example, `my_new_field`.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RenameTagTemplateFieldRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReplaceTaxonomyRequest","doc":"Request message for ReplaceTaxonomy.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReplaceTaxonomyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReplaceTaxonomyRequest","doc":"*   `serializedTaxonomy` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedTaxonomy.t`, *default:* `nil`) - Required. Taxonomy to update along with its child policy tags.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReplaceTaxonomyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReplaceTaxonomyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReplaceTaxonomyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReplaceTaxonomyRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ReplaceTaxonomyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpec","doc":"Specification that applies to a routine. Valid only for entries with the `ROUTINE` type.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpec","doc":"*   `bigqueryRoutineSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.t`, *default:* `nil`) - Fields specific for BigQuery routines.\n*   `definitionBody` (*type:* `String.t`, *default:* `nil`) - The body of the routine.\n*   `language` (*type:* `String.t`, *default:* `nil`) - The language the routine is written in. The exact value depends on the source system. For BigQuery routines, possible values are: * `SQL` * `JAVASCRIPT`\n*   `returnType` (*type:* `String.t`, *default:* `nil`) - Return type of the argument. The exact value depends on the source system and the language.\n*   `routineArguments` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.t)`, *default:* `nil`) - Arguments of the routine.\n*   `routineType` (*type:* `String.t`, *default:* `nil`) - The type of the routine.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument","doc":"Input or output argument of a function or stored procedure.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument","doc":"*   `mode` (*type:* `String.t`, *default:* `nil`) - Specifies whether the argument is input or output.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the argument. A return argument of a function might not have a name.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of the argument. The exact value depends on the source system and the language.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Schema","doc":"Represents a schema, for example, a BigQuery, GoogleSQL, or Avro schema.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Schema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Schema","doc":"*   `columns` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ColumnSchema.t)`, *default:* `nil`) - The unified GoogleSQL-like schema of columns. The overall maximum number of columns and nested columns is 10,000. The maximum nested depth is 15 levels.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Schema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Schema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Schema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Schema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Schema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequest","doc":"Request message for SearchCatalog.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequest","doc":"*   `adminSearch` (*type:* `boolean()`, *default:* `nil`) - Optional. If set, use searchAll permission granted on organizations from `include_org_ids` and projects from `include_project_ids` instead of the fine grained per resource permissions when filtering the search results. The only allowed `order_by` criteria for admin_search mode is `default`. Using this flags guarantees a full recall of the search results.\n*   `orderBy` (*type:* `String.t`, *default:* `nil`) - Specifies the order of results. Currently supported case-sensitive values are: * `relevance` that can only be descending * `last_modified_timestamp [asc|desc]` with descending (`desc`) as default * `default` that can only be descending Search queries don't guarantee full recall. Results that match your query might not be returned, even in subsequent result pages. Additionally, returned (and not returned) results can vary if you repeat search queries. If you are experiencing recall issues and you don't have to fetch the results in any specific order, consider setting this parameter to `default`. If this parameter is omitted, it defaults to the descending `relevance`.\n*   `pageSize` (*type:* `integer()`, *default:* `nil`) - Upper bound on the number of results you can get in a single response. Can't be negative or 0, defaults to 10 in this case. The maximum number is 1000. If exceeded, throws an \"invalid argument\" exception.\n*   `pageToken` (*type:* `String.t`, *default:* `nil`) - Optional. Pagination token that, if specified, returns the next page of search results. If empty, returns the first page. This token is returned in the SearchCatalogResponse.next_page_token field of the response to a previous SearchCatalogRequest call.\n*   `query` (*type:* `String.t`, *default:* `nil`) - Optional. The query string with a minimum of 3 characters and specific syntax. For more information, see [Data Catalog search syntax](https://cloud.google.com/data-catalog/docs/how-to/search-reference). An empty query string returns all data assets (in the specified scope) that you have access to. A query string can be a simple `xyz` or qualified by predicates: * `name:x` * `column:y` * `description:z`\n*   `scope` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequestScope.t`, *default:* `nil`) - Required. The scope of this search request. The `scope` is invalid if `include_org_ids`, `include_project_ids` are empty AND `include_gcp_public_datasets` is set to `false`. In this case, the request returns an error.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequestScope","doc":"The criteria that select the subspace used for query matching.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequestScope.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequestScope","doc":"*   `includeGcpPublicDatasets` (*type:* `boolean()`, *default:* `nil`) - If `true`, include Google Cloud public datasets in search results. By default, they are excluded. See [Google Cloud Public Datasets](/public-datasets) for more information.\n*   `includeOrgIds` (*type:* `list(String.t)`, *default:* `nil`) - The list of organization IDs to search within. To find your organization ID, follow the steps from [Creating and managing organizations] (/resource-manager/docs/creating-managing-organization).\n*   `includeProjectIds` (*type:* `list(String.t)`, *default:* `nil`) - The list of project IDs to search within. For more information on the distinction between project names, IDs, and numbers, see [Projects](/docs/overview/#projects).\n*   `includePublicTagTemplates` (*type:* `boolean()`, *default:* `nil`) - Optional. This field is deprecated. The search mechanism for public and private tag templates is the same.\n*   `restrictedLocations` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of locations to search within. If empty, all locations are searched. Returns an error if any location in the list isn't one of the [Supported regions](https://cloud.google.com/data-catalog/docs/concepts/regions#supported_regions). If a location is unreachable, its name is returned in the `SearchCatalogResponse.unreachable` field. To get additional information on the error, repeat the search request and set the location name as the value of this parameter.\n*   `starredOnly` (*type:* `boolean()`, *default:* `nil`) - Optional. If `true`, search only among starred entries. By default, all results are returned, starred or not.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequestScope.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequestScope.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequestScope.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequestScope.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogRequestScope.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResponse","doc":"Response message for SearchCatalog.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Pagination token that can be used in subsequent calls to retrieve the next page of results.\n*   `results` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResult.t)`, *default:* `nil`) - Search results.\n*   `totalSize` (*type:* `integer()`, *default:* `nil`) - The approximate total number of entries matched by the query.\n*   `unreachable` (*type:* `list(String.t)`, *default:* `nil`) - Unreachable locations. Search results don't include data from those locations. To get additional information on an error, repeat the search request and restrict it to specific locations by setting the `SearchCatalogRequest.scope.restricted_locations` parameter.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResult","doc":"Result in the response to a search request. Each result captures details of one entry that matches the search.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResult.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResult","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Entry description that can consist of several sentences or paragraphs that describe entry contents.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the result.\n*   `fullyQualifiedName` (*type:* `String.t`, *default:* `nil`) - Fully qualified name (FQN) of the resource. FQNs take two forms: * For non-regionalized resources: `{SYSTEM}:{PROJECT}.{PATH_TO_RESOURCE_SEPARATED_WITH_DOTS}` * For regionalized resources: `{SYSTEM}:{PROJECT}.{LOCATION_ID}.{PATH_TO_RESOURCE_SEPARATED_WITH_DOTS}` Example for a DPMS table: `dataproc_metastore:PROJECT_ID.LOCATION_ID.INSTANCE_ID.DATABASE_ID.TABLE_ID`\n*   `integratedSystem` (*type:* `String.t`, *default:* `nil`) - Output only. The source system that Data Catalog automatically integrates with, such as BigQuery, Cloud Pub/Sub, or Dataproc Metastore.\n*   `linkedResource` (*type:* `String.t`, *default:* `nil`) - The full name of the Google Cloud resource the entry belongs to. For more information, see [Full Resource Name] (/apis/design/resource_names#full_resource_name). Example: `//bigquery.googleapis.com/projects/PROJECT_ID/datasets/DATASET_ID/tables/TABLE_ID`\n*   `modifyTime` (*type:* `DateTime.t`, *default:* `nil`) - The last modification timestamp of the entry in the source system.\n*   `relativeResourceName` (*type:* `String.t`, *default:* `nil`) - The relative name of the resource in URL format. Examples: * `projects/{PROJECT_ID}/locations/{LOCATION_ID}/entryGroups/{ENTRY_GROUP_ID}/entries/{ENTRY_ID}` * `projects/{PROJECT_ID}/tagTemplates/{TAG_TEMPLATE_ID}`\n*   `searchResultSubtype` (*type:* `String.t`, *default:* `nil`) - Sub-type of the search result. A dot-delimited full type of the resource. The same type you specify in the `type` search predicate. Examples: `entry.table`, `entry.dataStream`, `tagTemplate`.\n*   `searchResultType` (*type:* `String.t`, *default:* `nil`) - Type of the search result. You can use this field to determine which get method to call to fetch the full resource.\n*   `userSpecifiedSystem` (*type:* `String.t`, *default:* `nil`) - Custom source system that you can manually integrate Data Catalog with.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResult.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResult.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResult.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SearchCatalogResult.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedPolicyTag","doc":"A nested protocol buffer that represents a policy tag and all its descendants.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedPolicyTag.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedPolicyTag","doc":"*   `childPolicyTags` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedPolicyTag.t)`, *default:* `nil`) - Children of the policy tag, if any.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of the serialized policy tag. At most 2000 bytes when encoded in UTF-8. If not set, defaults to an empty description.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. Display name of the policy tag. At most 200 bytes when encoded in UTF-8.\n*   `policyTag` (*type:* `String.t`, *default:* `nil`) - Resource name of the policy tag. This field is ignored when calling `ImportTaxonomies`.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedPolicyTag.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedPolicyTag.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedPolicyTag.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedPolicyTag.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedPolicyTag.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedTaxonomy","doc":"A nested protocol buffer that represents a taxonomy and the hierarchy of its policy tags. Used for taxonomy replacement, import, and export.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedTaxonomy.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedTaxonomy","doc":"*   `activatedPolicyTypes` (*type:* `list(String.t)`, *default:* `nil`) - A list of policy types that are activated per taxonomy.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of the serialized taxonomy. At most 2000 bytes when encoded in UTF-8. If not set, defaults to an empty description.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. Display name of the taxonomy. At most 200 bytes when encoded in UTF-8.\n*   `policyTags` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedPolicyTag.t)`, *default:* `nil`) - Top level policy tags associated with the taxonomy, if any.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedTaxonomy.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedTaxonomy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedTaxonomy.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedTaxonomy.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SerializedTaxonomy.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ServiceSpec","doc":"Specification that applies to a Service resource. Valid only for entries with the `SERVICE` type.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ServiceSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ServiceSpec","doc":"*   `cloudBigtableInstanceSpec` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.t`, *default:* `nil`) - Specification that applies to Instance entries of `CLOUD_BIGTABLE` system.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ServiceSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ServiceSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ServiceSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ServiceSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ServiceSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec","doc":"Specification that applies to entries that are part `SQL_DATABASE` system (user_specified_type)","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec","doc":"*   `databaseVersion` (*type:* `String.t`, *default:* `nil`) - Version of the database engine.\n*   `instanceHost` (*type:* `String.t`, *default:* `nil`) - Host of the SQL database enum InstanceHost { UNDEFINED = 0; SELF_HOSTED = 1; CLOUD_SQL = 2; AMAZON_RDS = 3; AZURE_SQL = 4; } Host of the enclousing database instance.\n*   `sqlEngine` (*type:* `String.t`, *default:* `nil`) - SQL Database Engine. enum SqlEngine { UNDEFINED = 0; MY_SQL = 1; POSTGRE_SQL = 2; SQL_SERVER = 3; } Engine of the enclosing database instance.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryRequest","doc":"Request message for StarEntry.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryRequest","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryResponse","doc":"Response message for StarEntry. Empty for now","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryResponse","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StarEntryResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StorageProperties","doc":"Details the properties of the underlying storage.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StorageProperties.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StorageProperties","doc":"*   `filePattern` (*type:* `list(String.t)`, *default:* `nil`) - Patterns to identify a set of files for this fileset. Examples of a valid `file_pattern`: * `gs://bucket_name/dir/*`: matches all files in the `bucket_name/dir` directory * `gs://bucket_name/dir/**`: matches all files in the `bucket_name/dir` and all subdirectories recursively * `gs://bucket_name/file*`: matches files prefixed by `file` in `bucket_name` * `gs://bucket_name/??.txt`: matches files with two characters followed by `.txt` in `bucket_name` * `gs://bucket_name/[aeiou].txt`: matches files that contain a single vowel character followed by `.txt` in `bucket_name` * `gs://bucket_name/[a-m].txt`: matches files that contain `a`, `b`, ... or `m` followed by `.txt` in `bucket_name` * `gs://bucket_name/a/*/b`: matches all files in `bucket_name` that match the `a/*/b` pattern, such as `a/c/b`, `a/d/b` * `gs://another_bucket/a.txt`: matches `gs://another_bucket/a.txt`\n*   `fileType` (*type:* `String.t`, *default:* `nil`) - File type in MIME format, for example, `text/plain`.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StorageProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StorageProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StorageProperties.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StorageProperties.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1StorageProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SystemTimestamps","doc":"Timestamps associated with this resource in a particular system.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SystemTimestamps.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SystemTimestamps","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Creation timestamp of the resource within the given system.\n*   `expireTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Expiration timestamp of the resource within the given system. Currently only applicable to BigQuery resources.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of the last modification of the resource or its metadata within a given system. Note: Depending on the source system, not every modification updates this timestamp. For example, BigQuery timestamps every metadata modification but not data or permission changes.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SystemTimestamps.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SystemTimestamps.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SystemTimestamps.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SystemTimestamps.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SystemTimestamps.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TableSpec","doc":"Normal BigQuery table specification.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TableSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TableSpec","doc":"*   `groupedEntry` (*type:* `String.t`, *default:* `nil`) - Output only. If the table is date-sharded, that is, it matches the `[prefix]YYYYMMDD` name pattern, this field is the Data Catalog resource name of the date-sharded grouped entry. For example: `projects/{PROJECT_ID}/locations/{LOCATION}/entrygroups/{ENTRY_GROUP_ID}/entries/{ENTRY_ID}`. Otherwise, `grouped_entry` is empty.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TableSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TableSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TableSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TableSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TableSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag","doc":"Tags contain custom metadata and are attached to Data Catalog resources. Tags conform with the specification of their tag template. See [Data Catalog IAM](https://cloud.google.com/data-catalog/docs/concepts/iam) for information on the permissions needed to create or view tags.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag","doc":"*   `column` (*type:* `String.t`, *default:* `nil`) - Resources like entry can have schemas associated with them. This scope allows you to attach tags to an individual column based on that schema. To attach a tag to a nested column, separate column names with a dot (`.`). Example: `column.nested_column`.\n*   `fields` (*type:* `%{optional(String.t) => GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagField.t}`, *default:* `nil`) - Required. Maps the ID of a tag field to its value and additional information about that field. Tag template defines valid field IDs. A tag must have at least 1 field and at most 500 fields.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. The resource name of the tag in URL format where tag ID is a system-generated identifier. Note: The tag itself might not be stored in the location specified in its name.\n*   `template` (*type:* `String.t`, *default:* `nil`) - Required. The resource name of the tag template this tag uses. Example: `projects/{PROJECT_ID}/locations/{LOCATION}/tagTemplates/{TAG_TEMPLATE_ID}` This field cannot be modified after creation.\n*   `templateDisplayName` (*type:* `String.t`, *default:* `nil`) - Output only. The display name of the tag template.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagField","doc":"Contains the value and additional information on a field within a Tag.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagField.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagField","doc":"*   `boolValue` (*type:* `boolean()`, *default:* `nil`) - The value of a tag field with a boolean type.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Output only. The display name of this field.\n*   `doubleValue` (*type:* `float()`, *default:* `nil`) - The value of a tag field with a double type.\n*   `enumValue` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.t`, *default:* `nil`) - The value of a tag field with an enum type. This value must be one of the allowed values listed in this enum.\n*   `order` (*type:* `integer()`, *default:* `nil`) - Output only. The order of this field with respect to other fields in this tag. Can be set by Tag. For example, a higher value can indicate a more important field. The value can be negative. Multiple fields can have the same order, and field orders within a tag don't have to be sequential.\n*   `richtextValue` (*type:* `String.t`, *default:* `nil`) - The value of a tag field with a rich text type. The maximum length is 10 MiB as this value holds HTML descriptions including encoded images. The maximum length of the text without images is 100 KiB.\n*   `stringValue` (*type:* `String.t`, *default:* `nil`) - The value of a tag field with a string type. The maximum length is 2000 UTF-8 characters.\n*   `timestampValue` (*type:* `DateTime.t`, *default:* `nil`) - The value of a tag field with a timestamp type.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagField.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagField.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagField.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagField.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagField.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue","doc":"An enum value.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the enum value.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate","doc":"A tag template defines a tag that can have one or more typed fields. The template is used to create tags that are attached to Google Cloud resources. [Tag template roles] (https://cloud.google.com/iam/docs/understanding-roles#data-catalog-roles) provide permissions to create, edit, and use the template. For example, see the [TagTemplate User] (https://cloud.google.com/data-catalog/docs/how-to/template-user) role that includes a permission to use the tag template to tag resources.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate","doc":"*   `dataplexTransferStatus` (*type:* `String.t`, *default:* `nil`) - Optional. Transfer status of the TagTemplate\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Display name for this template. Defaults to an empty string. The name must contain only Unicode letters, numbers (0-9), underscores (_), dashes (-), spaces ( ), and can't start or end with spaces. The maximum length is 200 characters.\n*   `fields` (*type:* `%{optional(String.t) => GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField.t}`, *default:* `nil`) - Required. Map of tag template field IDs to the settings for the field. This map is an exhaustive list of the allowed fields. The map must contain at least one field and at most 500 fields. The keys to this map are tag template field IDs. The IDs have the following limitations: * Can contain uppercase and lowercase letters, numbers (0-9) and underscores (_). * Must be at least 1 character and at most 64 characters long. * Must start with a letter or underscore.\n*   `isPubliclyReadable` (*type:* `boolean()`, *default:* `nil`) - Indicates whether tags created with this template are public. Public tags do not require tag template access to appear in ListTags API response. Additionally, you can search for a public tag by value with a simple search query in addition to using a ``tag:`` predicate.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. The resource name of the tag template in URL format. Note: The tag template itself and its child resources might not be stored in the location specified in its name.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplate.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField","doc":"The template for an individual field within a tag template.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - The description for this field. Defaults to an empty string.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name for this field. Defaults to an empty string. The name must contain only Unicode letters, numbers (0-9), underscores (_), dashes (-), spaces ( ), and can't start or end with spaces. The maximum length is 200 characters.\n*   `isRequired` (*type:* `boolean()`, *default:* `nil`) - If true, this field is required. Defaults to false.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. The resource name of the tag template field in URL format. Example: `projects/{PROJECT_ID}/locations/{LOCATION}/tagTemplates/{TAG_TEMPLATE}/fields/{FIELD}` Note: The tag template field itself might not be stored in the location specified in its name. The name must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_), and must start with a letter or underscore. The maximum length is 64 characters.\n*   `order` (*type:* `integer()`, *default:* `nil`) - The order of this field with respect to other fields in this tag template. For example, a higher value can indicate a more important field. The value can be negative. Multiple fields can have the same order and field orders within a tag don't have to be sequential.\n*   `type` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1FieldType.t`, *default:* `nil`) - Required. The type of value this tag field can contain.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TagTemplateField.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaggedEntry","doc":"Wrapper containing Entry and information about Tags that should and should not be attached to it.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaggedEntry.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaggedEntry","doc":"*   `absentTags` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.t)`, *default:* `nil`) - Optional. Tags that should be deleted from the Data Catalog. Caller should populate template name and column only.\n*   `presentTags` (*type:* `list(GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Tag.t)`, *default:* `nil`) - Optional. Tags that should be ingested into the Data Catalog. Caller should populate template name, column and fields.\n*   `v1Entry` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Entry.t`, *default:* `nil`) - Non-encrypted Data Catalog v1 Entry.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaggedEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaggedEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaggedEntry.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaggedEntry.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaggedEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy","doc":"A taxonomy is a collection of hierarchical policy tags that classify data along a common axis. For example, a \"data sensitivity\" taxonomy might contain the following policy tags: ``` + PII + Account number + Age + SSN + Zipcode + Financials + Revenue ``` A \"data origin\" taxonomy might contain the following policy tags: ``` + User data + Employee data + Partner data + Public data ```","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy","doc":"*   `activatedPolicyTypes` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of policy types that are activated for this taxonomy. If not set, defaults to an empty list.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of this taxonomy. If not set, defaults to empty. The description must contain only Unicode characters, tabs, newlines, carriage returns, and page breaks, and be at most 2000 bytes long when encoded in UTF-8.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. User-defined name of this taxonomy. The name can't start or end with spaces, must contain only Unicode letters, numbers, underscores, dashes, and spaces, and be at most 200 bytes long when encoded in UTF-8. The taxonomy display name must be unique within an organization.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. Resource name of this taxonomy in URL format. Note: Policy tag manager generates unique taxonomy IDs.\n*   `policyTagCount` (*type:* `integer()`, *default:* `nil`) - Output only. Number of policy tags in this taxonomy.\n*   `service` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaxonomyService.t`, *default:* `nil`) - Output only. Identity of the service which owns the Taxonomy. This field is only populated when the taxonomy is created by a Google Cloud service. Currently only 'DATAPLEX' is supported.\n*   `taxonomyTimestamps` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1SystemTimestamps.t`, *default:* `nil`) - Output only. Creation and modification timestamps of this taxonomy.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1Taxonomy.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaxonomyService","doc":"The source system of the Taxonomy.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaxonomyService.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaxonomyService","doc":"*   `identity` (*type:* `String.t`, *default:* `nil`) - The service agent for the service.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The Google Cloud service name.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaxonomyService.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaxonomyService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaxonomyService.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaxonomyService.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1TaxonomyService.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryRequest","doc":"Request message for UnstarEntry.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryRequest","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryResponse","doc":"Response message for UnstarEntry. Empty for now","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryResponse","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UnstarEntryResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageSignal","doc":"The set of all usage signals that Data Catalog stores. Note: Usually, these signals are updated daily. In rare cases, an update may fail but will be performed again on the next day.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageSignal.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageSignal","doc":"*   `commonUsageWithinTimeRange` (*type:* `%{optional(String.t) => GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1CommonUsageStats.t}`, *default:* `nil`) - Common usage statistics over each of the predefined time ranges. Supported time ranges are `{\"24H\", \"7D\", \"30D\", \"Lifetime\"}`.\n*   `favoriteCount` (*type:* `String.t`, *default:* `nil`) - Favorite count in the source system.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - The end timestamp of the duration of usage statistics.\n*   `usageWithinTimeRange` (*type:* `%{optional(String.t) => GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageStats.t}`, *default:* `nil`) - Output only. BigQuery usage statistics over each of the predefined time ranges. Supported time ranges are `{\"24H\", \"7D\", \"30D\"}`.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageSignal.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageSignal.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageSignal.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageSignal.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageSignal.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageStats","doc":"Detailed statistics on the entry's usage. Usage statistics have the following limitations: - Only BigQuery tables have them. - They only include BigQuery query jobs. - They might be underestimated because wildcard table references are not yet counted. For more information, see [Querying multiple tables using a wildcard table] (https://cloud.google.com/bigquery/docs/querying-wildcard-tables)","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageStats.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageStats","doc":"*   `totalCancellations` (*type:* `number()`, *default:* `nil`) - The number of cancelled attempts to use the underlying entry.\n*   `totalCompletions` (*type:* `number()`, *default:* `nil`) - The number of successful uses of the underlying entry.\n*   `totalExecutionTimeForCompletionsMillis` (*type:* `number()`, *default:* `nil`) - Total time spent only on successful uses, in milliseconds.\n*   `totalFailures` (*type:* `number()`, *default:* `nil`) - The number of failed attempts to use the underlying entry.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageStats.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageStats.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageStats.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageStats.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1UsageStats.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec","doc":"Specification for vertex dataset resources.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec","doc":"*   `dataItemCount` (*type:* `String.t`, *default:* `nil`) - The number of DataItems in this Dataset. Only apply for non-structured Dataset.\n*   `dataType` (*type:* `String.t`, *default:* `nil`) - Type of the dataset.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo","doc":"Detail description of the source information of a Vertex model.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo","doc":"*   `copy` (*type:* `boolean()`, *default:* `nil`) - If this Model is copy of another Model. If true then source_type pertains to the original.\n*   `sourceType` (*type:* `String.t`, *default:* `nil`) - Type of the model source.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSpec","doc":"Specification for vertex model resources.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSpec","doc":"*   `containerImageUri` (*type:* `String.t`, *default:* `nil`) - URI of the Docker image to be used as the custom container for serving predictions.\n*   `versionAliases` (*type:* `list(String.t)`, *default:* `nil`) - User provided version aliases so that a model version can be referenced via alias\n*   `versionDescription` (*type:* `String.t`, *default:* `nil`) - The description of this version.\n*   `versionId` (*type:* `String.t`, *default:* `nil`) - The version ID of the model.\n*   `vertexModelSourceInfo` (*type:* `GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.t`, *default:* `nil`) - Source of a Vertex model.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1VertexModelSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ViewSpec","doc":"Table view specification.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ViewSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ViewSpec","doc":"*   `viewQuery` (*type:* `String.t`, *default:* `nil`) - Output only. The query that defines the table view.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ViewSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ViewSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ViewSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ViewSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.GoogleCloudDatacatalogV1ViewSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.ListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.DataCatalog.V1.Model.ListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.ListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.DataCatalog.V1.Model.Operation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.DataCatalog.V1.Model.ListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.ListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.ListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.ListOperationsResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.ListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.Operation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.DataCatalog.V1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.DataCatalog.V1.Model.Status.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.DataCatalog.V1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.Operation.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.Policy","doc":"An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** ``` { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time < timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } ``` **YAML example:** ``` bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time < timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 ``` For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).","ref":"GoogleApi.DataCatalog.V1.Model.Policy.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.Policy","doc":"*   `bindings` (*type:* `list(GoogleApi.DataCatalog.V1.Model.Binding.t)`, *default:* `nil`) - Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - `etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.\n*   `version` (*type:* `integer()`, *default:* `nil`) - Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: * Getting a policy that includes a conditional role binding * Adding a conditional role binding to a policy * Changing a conditional role binding in a policy * Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).","ref":"GoogleApi.DataCatalog.V1.Model.Policy.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.Policy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.Policy.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.Policy.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.Policy.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.SetIamPolicyRequest","doc":"Request message for `SetIamPolicy` method.","ref":"GoogleApi.DataCatalog.V1.Model.SetIamPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.SetIamPolicyRequest","doc":"*   `policy` (*type:* `GoogleApi.DataCatalog.V1.Model.Policy.t`, *default:* `nil`) - REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.","ref":"GoogleApi.DataCatalog.V1.Model.SetIamPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.SetIamPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.SetIamPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.SetIamPolicyRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.SetIamPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.DataCatalog.V1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.DataCatalog.V1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.Status.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest","doc":"Request message for `TestIamPermissions` method.","ref":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest","doc":"*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).","ref":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse","doc":"Response message for `TestIamPermissions` method.","ref":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse","doc":"*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - A subset of `TestPermissionsRequest.permissions` that the caller is allowed.","ref":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1.Model.TestIamPermissionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1","doc":"API client metadata for GoogleApi.DataCatalog.V1beta1.","ref":"GoogleApi.DataCatalog.V1beta1.html"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.discovery_revision/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Api.Catalog","doc":"API calls for all endpoints tagged `Catalog`.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Catalog.html"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Catalog.datacatalog_catalog_search/3","doc":"Searches Data Catalog for multiple resources like entries, tags that match a query. This is a custom method (https://cloud.google.com/apis/design/custom_methods) and does not return the complete resource, only the resource identifier and high level fields. Clients can subsequently call `Get` methods. Note that Data Catalog search queries do not guarantee full recall. Query results that match your query may not be returned, even in subsequent result pages. Also note that results returned (and not returned) can vary across repeated search queries. See [Data Catalog Search Syntax](https://cloud.google.com/data-catalog/docs/how-to/search-reference) for more information.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Catalog.html#datacatalog_catalog_search/3"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Catalog.datacatalog_catalog_search/3","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Catalog.html#datacatalog_catalog_search/3-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Catalog.datacatalog_catalog_search/3","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Catalog.html#datacatalog_catalog_search/3-returns"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Api.Entries","doc":"API calls for all endpoints tagged `Entries`.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Entries.html"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Entries.datacatalog_entries_lookup/3","doc":"Get an entry by target resource name. This method allows clients to use the resource name from the source Google Cloud Platform service to get the Data Catalog Entry.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Entries.html#datacatalog_entries_lookup/3"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Entries.datacatalog_entries_lookup/3","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:linkedResource` (*type:* `String.t`) - The full name of the Google Cloud Platform resource the Data Catalog entry represents. See: https://cloud.google.com/apis/design/resource_names#full_resource_name. Full names are case-sensitive. Examples: * //bigquery.googleapis.com/projects/projectId/datasets/datasetId/tables/tableId * //pubsub.googleapis.com/projects/projectId/topics/topicId\n    *   `:sqlResource` (*type:* `String.t`) - The SQL name of the entry. SQL names are case-sensitive. Examples: * `pubsub.project_id.topic_id` * ``pubsub.project_id.`topic.id.with.dots` `` * `bigquery.table.project_id.dataset_id.table_id` * `bigquery.dataset.project_id.dataset_id` * `datacatalog.entry.project_id.location_id.entry_group_id.entry_id` `*_id`s should satisfy the standard SQL rules for identifiers. https://cloud.google.com/bigquery/docs/reference/standard-sql/lexical.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Entries.html#datacatalog_entries_lookup/3-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Entries.datacatalog_entries_lookup/3","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Entries.html#datacatalog_entries_lookup/3-returns"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_create/5","doc":"A maximum of 10,000 entry groups may be created per organization across all locations. Users should enable the Data Catalog API in the project identified by the `parent` parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_create/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_create/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the project this entry group is in. Example: * projects/{project_id}/locations/{location} Note that this EntryGroup and its child resources may not actually be stored in the location in this name.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:entryGroupId` (*type:* `String.t`) - Required. The id of the entry group to create. The id must begin with a letter or underscore, contain only English letters, numbers and underscores, and be at most 64 characters.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_create/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_create/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_create/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_delete/6","doc":"Deletes an EntryGroup. Only entry groups that do not contain entries can be deleted. Users should enable the Data Catalog API in the project identified by the `name` parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_delete/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_delete/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the entry group. For example, `projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}`.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - Optional. If true, deletes all entries in the entry group.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_delete/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_delete/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_create/6","doc":"Creates an entry. Only entries of 'FILESET' type or user-specified type can be created. Users should enable the Data Catalog API in the project identified by the `parent` parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information). A maximum of 100,000 entries may be created per entry group.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_create/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_create/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the entry group this entry is in. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id} Note that this Entry and its child resources may not actually be stored in the location in this name.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:entryId` (*type:* `String.t`) - Required. The id of the entry to create.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_create/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_create/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_create/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_delete/7","doc":"Deletes an existing entry. Only entries created through CreateEntry method can be deleted. Users should enable the Data Catalog API in the project identified by the `name` parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_delete/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_delete/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the entry. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id}\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_delete/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_delete/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get/7","doc":"Gets an entry.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the entry. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id}\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7","doc":"Gets the access control policy for a resource. A `NOT_FOUND` error is returned if the resource does not exist. An empty policy is returned if the resource exists but does not have a policy set on it. Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. Callers must have following Google IAM permission - `datacatalog.tagTemplates.getIamPolicy` to get policies on tag templates. - `datacatalog.entries.getIamPolicy` to get policies on entries. - `datacatalog.entryGroups.getIamPolicy` to get policies on entry groups.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_list/6","doc":"Lists entries.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_list/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_list/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the entry group that contains the entries, which can be provided in URL format. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return. Default is 10. Max limit is 1000. Throws an invalid argument for `page_size > 1000`.\n    *   `:pageToken` (*type:* `String.t`) - Token that specifies which page is requested. If empty, the first page is returned.\n    *   `:readMask` (*type:* `String.t`) - The fields to return for each Entry. If not set or empty, all fields are returned. For example, setting read_mask to contain only one path \"name\" will cause ListEntries to return a list of Entries with only \"name\" field.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_list/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_list/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_patch/7","doc":"Updates an existing entry. Users should enable the Data Catalog API in the project identified by the `entry.name` parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_patch/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_patch/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `entry.name`. Output only. Identifier. The Data Catalog resource name of the entry in URL format. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id} Note that this Entry and its child resources may not actually be stored in the location in this name.\n*   `locations_id` (*type:* `String.t`) - Part of `entry.name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `entry.name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `entry.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Names of fields whose values to overwrite on an entry. If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied. The following fields are modifiable: * For entries with type `DATA_STREAM`: * `schema` * For entries with type `FILESET`: * `schema` * `display_name` * `description` * `gcs_fileset_spec` * `gcs_fileset_spec.file_patterns` * For entries with `user_specified_type`: * `schema` * `display_name` * `description` * `user_specified_type` * `user_specified_system` * `linked_resource` * `source_system_timestamps`\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_patch/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_patch/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_create/7","doc":"Creates a tag on an Entry. Note: The project identified by the `parent` parameter for the [tag](https://cloud.google.com/data-catalog/docs/reference/rest/v1beta1/projects.locations.entryGroups.entries.tags/create#path-parameters) and the [tag template](https://cloud.google.com/data-catalog/docs/reference/rest/v1beta1/projects.locations.tagTemplates/create#path-parameters) used to create the tag must be from the same organization.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_create/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_create/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the resource to attach this tag to. Tags can be attached to Entries. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id} Note that this Tag and its child resources may not actually be stored in the location in this name.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_create/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_create/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_create/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_delete/8","doc":"Deletes a tag.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_delete/8"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_delete/8","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag to delete. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id}/tags/{tag_id}\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tags_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_delete/8-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_delete/8","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_delete/8-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_list/7","doc":"Lists tags assigned to an Entry. The columns in the response are lowercased.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_list/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_list/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the Data Catalog resource to list the tags of. The resource could be an Entry or an EntryGroup. Examples: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id} * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id}\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of tags to return. Default is 10. Max limit is 1000.\n    *   `:pageToken` (*type:* `String.t`) - Token that specifies which page is requested. If empty, the first page is returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_list/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_list/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_list/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_patch/8","doc":"Updates an existing tag.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_patch/8"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_patch/8","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `tag.name`. Identifier. The resource name of the tag in URL format. Example: * projects/{project_id}/locations/{location}/entrygroups/{entry_group_id}/entries/{entry_id}/tags/{tag_id} where `tag_id` is a system-generated identifier. Note that this Tag may not actually be stored in the location in this name.\n*   `locations_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `tags_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Note: Currently, this parameter can only take `\"fields\"` as value. Names of fields whose values to overwrite on a tag. Currently, a tag has the only modifiable field with the name `fields`. In general, if this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_patch/8-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_patch/8","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_patch/8-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7","doc":"Returns the caller's permissions on a resource. If the resource does not exist, an empty set of permissions is returned (We don't return a `NOT_FOUND` error). Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. A caller is not required to have Google IAM permission to make this request.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entries_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_get/6","doc":"Gets an EntryGroup.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_get/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the entry group. For example, `projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}`.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:readMask` (*type:* `String.t`) - The fields to return. If not set or empty, all fields are returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_get/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_get_iam_policy/6","doc":"Gets the access control policy for a resource. A `NOT_FOUND` error is returned if the resource does not exist. An empty policy is returned if the resource exists but does not have a policy set on it. Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. Callers must have following Google IAM permission - `datacatalog.tagTemplates.getIamPolicy` to get policies on tag templates. - `datacatalog.entries.getIamPolicy` to get policies on entries. - `datacatalog.entryGroups.getIamPolicy` to get policies on entry groups.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_list/5","doc":"Lists entry groups.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_list/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_list/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the location that contains the entry groups, which can be provided in URL format. Example: * projects/{project_id}/locations/{location}\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return. Default is 10. Max limit is 1000. Throws an invalid argument for `page_size > 1000`.\n    *   `:pageToken` (*type:* `String.t`) - Optional. Token that specifies which page is requested. If empty, the first page is returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_list/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_list/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_patch/6","doc":"Updates an EntryGroup. The user should enable the Data Catalog API in the project identified by the `entry_group.name` parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_patch/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_patch/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `entryGroup.name`. Identifier. The resource name of the entry group in URL format. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id} Note that this EntryGroup and its child resources may not actually be stored in the location in this name.\n*   `locations_id` (*type:* `String.t`) - Part of `entryGroup.name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `entryGroup.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Names of fields whose values to overwrite on an entry group. If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_patch/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_patch/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_set_iam_policy/6","doc":"Sets the access control policy for a resource. Replaces any existing policy. Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. Callers must have following Google IAM permission - `datacatalog.tagTemplates.setIamPolicy` to set policies on tag templates. - `datacatalog.entries.setIamPolicy` to set policies on entries. - `datacatalog.entryGroups.setIamPolicy` to set policies on entry groups.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_create/6","doc":"Creates a tag on an Entry. Note: The project identified by the `parent` parameter for the [tag](https://cloud.google.com/data-catalog/docs/reference/rest/v1beta1/projects.locations.entryGroups.entries.tags/create#path-parameters) and the [tag template](https://cloud.google.com/data-catalog/docs/reference/rest/v1beta1/projects.locations.tagTemplates/create#path-parameters) used to create the tag must be from the same organization.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_create/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_create/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the resource to attach this tag to. Tags can be attached to Entries. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id} Note that this Tag and its child resources may not actually be stored in the location in this name.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_create/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_create/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_create/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_delete/7","doc":"Deletes a tag.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_delete/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_delete/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag to delete. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id}/tags/{tag_id}\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tags_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_delete/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_delete/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_list/6","doc":"Lists tags assigned to an Entry. The columns in the response are lowercased.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_list/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_list/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the Data Catalog resource to list the tags of. The resource could be an Entry or an EntryGroup. Examples: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id} * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id}\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of tags to return. Default is 10. Max limit is 1000.\n    *   `:pageToken` (*type:* `String.t`) - Token that specifies which page is requested. If empty, the first page is returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_list/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_list/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_patch/7","doc":"Updates an existing tag.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_patch/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_patch/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `tag.name`. Identifier. The resource name of the tag in URL format. Example: * projects/{project_id}/locations/{location}/entrygroups/{entry_group_id}/entries/{entry_id}/tags/{tag_id} where `tag_id` is a system-generated identifier. Note that this Tag may not actually be stored in the location in this name.\n*   `locations_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `tags_id` (*type:* `String.t`) - Part of `tag.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Note: Currently, this parameter can only take `\"fields\"` as value. Names of fields whose values to overwrite on a tag. Currently, a tag has the only modifiable field with the name `fields`. In general, if this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_patch/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_patch/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_test_iam_permissions/6","doc":"Returns the caller's permissions on a resource. If the resource does not exist, an empty set of permissions is returned (We don't return a `NOT_FOUND` error). Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. A caller is not required to have Google IAM permission to make this request.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `entry_groups_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_test_iam_permissions/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_create/5","doc":"Creates a tag template. The user should enable the Data Catalog API in the project identified by the `parent` parameter (see [Data Catalog Resource Project](https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_create/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_create/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the project and the template location [region](https://cloud.google.com/data-catalog/docs/concepts/regions. Example: * projects/{project_id}/locations/us-central1\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:tagTemplateId` (*type:* `String.t`) - Required. The id of the tag template to create.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_create/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_create/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_create/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_delete/6","doc":"Deletes a tag template and all tags using the template. Users should enable the Data Catalog API in the project identified by the `name` parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_delete/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_delete/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag template to delete. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id}\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - Required. Currently, this field must always be set to `true`. This confirms the deletion of any possible tags using this template. `force = false` will be supported in the future.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_delete/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_delete/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_create/6","doc":"Creates a field in a tag template. The user should enable the Data Catalog API in the project identified by the `parent` parameter (see [Data Catalog Resource Project](https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_create/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_create/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the project and the template location [region](https://cloud.google.com/data-catalog/docs/concepts/regions). Example: * projects/{project_id}/locations/us-central1/tagTemplates/{tag_template_id}\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:tagTemplateFieldId` (*type:* `String.t`) - Required. The ID of the tag template field to create. Field ids can contain letters (both uppercase and lowercase), numbers (0-9), underscores (_) and dashes (-). Field IDs must be at least 1 character long and at most 128 characters long. Field IDs must also be unique within their template.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_create/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_create/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_create/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_delete/7","doc":"Deletes a field in a tag template and all uses of that field. Users should enable the Data Catalog API in the project identified by the `name` parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_delete/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_delete/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag template field to delete. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id}/fields/{tag_template_field_id}\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `fields_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - Required. Currently, this field must always be set to `true`. This confirms the deletion of this field from any tags using this field. `force = false` will be supported in the future.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_delete/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_delete/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8","doc":"Renames an enum value in a tag template. The enum values have to be unique within one enum field. Thus, an enum value cannot be renamed with a name used in any other enum value within the same enum field.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the enum field value. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id}/fields/{tag_template_field_id}/enumValues/{enum_value_display_name}\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `fields_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `enum_values_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_patch/7","doc":"Updates a field in a tag template. This method cannot be used to update the field type. Users should enable the Data Catalog API in the project identified by the `name` parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_patch/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_patch/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag template field. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id}/fields/{tag_template_field_id}\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `fields_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. Names of fields whose values to overwrite on an individual field of a tag template. The following fields are modifiable: * `display_name` * `type.enum_type` * `is_required` If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied with one exception: when updating an enum type, the provided values are merged with the existing values. Therefore, enum values can only be added, existing enum values cannot be deleted or renamed. Additionally, updating a template field from optional to required is *not* allowed.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_patch/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_patch/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_rename/7","doc":"Renames a field in a tag template. The user should enable the Data Catalog API in the project identified by the `name` parameter (see [Data Catalog Resource Project](https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_rename/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_rename/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag template. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id}/fields/{tag_template_field_id}\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `fields_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_rename/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_rename/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_rename/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_get/6","doc":"Gets a tag template.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_get/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. The name of the tag template. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id}\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_get/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_get_iam_policy/6","doc":"Gets the access control policy for a resource. A `NOT_FOUND` error is returned if the resource does not exist. An empty policy is returned if the resource exists but does not have a policy set on it. Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. Callers must have following Google IAM permission - `datacatalog.tagTemplates.getIamPolicy` to get policies on tag templates. - `datacatalog.entries.getIamPolicy` to get policies on entries. - `datacatalog.entryGroups.getIamPolicy` to get policies on entry groups.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_patch/6","doc":"Updates a tag template. This method cannot be used to update the fields of a template. The tag template fields are represented as separate resources and should be updated using their own create/update/delete methods. Users should enable the Data Catalog API in the project identified by the `tag_template.name` parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_patch/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_patch/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `tagTemplate.name`. Identifier. The resource name of the tag template in URL format. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id} Note that this TagTemplate and its child resources may not actually be stored in the location in this name.\n*   `locations_id` (*type:* `String.t`) - Part of `tagTemplate.name`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `tagTemplate.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Names of fields whose values to overwrite on a tag template. Currently, only `display_name` can be overwritten. In general, if this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_patch/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_patch/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_set_iam_policy/6","doc":"Sets the access control policy for a resource. Replaces any existing policy. Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. Callers must have following Google IAM permission - `datacatalog.tagTemplates.setIamPolicy` to set policies on tag templates. - `datacatalog.entries.setIamPolicy` to set policies on entries. - `datacatalog.entryGroups.setIamPolicy` to set policies on entry groups.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_test_iam_permissions/6","doc":"Returns the caller's permissions on a resource. If the resource does not exist, an empty set of permissions is returned (We don't return a `NOT_FOUND` error). Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. A caller is not required to have Google IAM permission to make this request.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `tag_templates_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_test_iam_permissions/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_create/5","doc":"Creates a taxonomy in the specified project.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_create/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_create/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Resource name of the project that the taxonomy will belong to.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_create/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_create/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_create/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_delete/6","doc":"Deletes a taxonomy. This operation will also delete all policy tags in this taxonomy along with their associated policies.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_delete/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_delete/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. Resource name of the taxonomy to be deleted. All policy tags in this taxonomy will also be deleted.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_delete/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_delete/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_export/5","doc":"Exports all taxonomies and their policy tags in a project. This method generates SerializedTaxonomy protos with nested policy tags that can be used as an input for future ImportTaxonomies calls.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_export/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_export/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Resource name of the project that taxonomies to be exported will share.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:serializedTaxonomies` (*type:* `boolean()`) - Export taxonomies as serialized taxonomies.\n    *   `:taxonomies` (*type:* `list(String.t)`) - Required. Resource names of the taxonomies to be exported.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_export/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_export/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_export/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_get/6","doc":"Gets a taxonomy.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_get/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. Resource name of the requested taxonomy.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_get/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_get_iam_policy/6","doc":"Gets the IAM policy for a taxonomy or a policy tag.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_import/5","doc":"Imports all taxonomies and their policy tags to a project as new taxonomies. This method provides a bulk taxonomy / policy tag creation using nested proto structure.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_import/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_import/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Resource name of project that the imported taxonomies will belong to.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_import/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_import/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_import/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_list/5","doc":"Lists all taxonomies in a project in a particular location that the caller has permission to view.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_list/5"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_list/5","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Resource name of the project to list the taxonomies of.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Supported field for filter is 'service' and value is 'dataplex'. Eg: service=dataplex.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return. Must be a value between 1 and 1000. If not set, defaults to 50.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request, if any. If not set, defaults to an empty string.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_list/5","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_list/5-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_patch/6","doc":"Updates a taxonomy.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_patch/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_patch/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `taxonomy.name`. Identifier. Resource name of this taxonomy, whose format is: \"projects/{project_number}/locations/{location_id}/taxonomies/{id}\".\n*   `locations_id` (*type:* `String.t`) - Part of `taxonomy.name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `taxonomy.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask If not set, defaults to all of the fields that are allowed to update.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_patch/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_patch/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_create/6","doc":"Creates a policy tag in the specified taxonomy.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_create/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_create/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Resource name of the taxonomy that the policy tag will belong to.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_create/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_create/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_create/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_delete/7","doc":"Deletes a policy tag. Also deletes all of its descendant policy tags.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_delete/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_delete/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. Resource name of the policy tag to be deleted. All of its descendant policy tags will also be deleted.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `policy_tags_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_delete/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_delete/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get/7","doc":"Gets a policy tag.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `name`. Required. Resource name of the requested policy tag.\n*   `locations_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `policy_tags_id` (*type:* `String.t`) - Part of `name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7","doc":"Gets the IAM policy for a taxonomy or a policy tag.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `policy_tags_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_list/6","doc":"Lists all policy tags in a taxonomy.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_list/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_list/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `parent`. Required. Resource name of the taxonomy to list the policy tags of.\n*   `locations_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `parent`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return. Must be a value between 1 and 1000. If not set, defaults to 50.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous List request, if any. If not set, defaults to an empty string.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_list/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_list/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_patch/7","doc":"Updates a policy tag.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_patch/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_patch/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `policyTag.name`. Identifier. Resource name of this policy tag, whose format is: \"projects/{project_number}/locations/{location_id}/taxonomies/{taxonomy_id}/policyTags/{id}\".\n*   `locations_id` (*type:* `String.t`) - Part of `policyTag.name`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `policyTag.name`. See documentation of `projectsId`.\n*   `policy_tags_id` (*type:* `String.t`) - Part of `policyTag.name`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The update mask applies to the resource. Only display_name, description and parent_policy_tag can be updated and thus can be listed in the mask. If update_mask is not provided, all allowed fields (i.e. display_name, description and parent) will be updated. For more information including the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask If not set, defaults to all of the fields that are allowed to update.\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_patch/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_patch/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7","doc":"Sets the IAM policy for a taxonomy or a policy tag.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `policy_tags_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7","doc":"Returns the permissions that a caller has on the specified taxonomy or policy tag.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `policy_tags_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_set_iam_policy/6","doc":"Sets the IAM policy for a taxonomy or a policy tag.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_test_iam_permissions/6","doc":"Returns the permissions that a caller has on the specified taxonomy or policy tag.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.DataCatalog.V1beta1.Connection.t`) - Connection to server\n*   `projects_id` (*type:* `String.t`) - Part of `resource`. REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `locations_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `taxonomies_id` (*type:* `String.t`) - Part of `resource`. See documentation of `projectsId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Connection","doc":"Handle Tesla connections for GoogleApi.DataCatalog.V1beta1.","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.DataCatalog.V1beta1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.DataCatalog.V1beta1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.DataCatalog.V1beta1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.DataCatalog.V1beta1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Connection.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.Binding","doc":"Associates `members`, or principals, with a `role`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Binding.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.Binding","doc":"*   `condition` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.Expr.t`, *default:* `nil`) - The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).\n*   `members` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: * `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. * `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. Does not include identities that come from external identity providers (IdPs) through identity federation. * `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . * `serviceAccount:{emailid}`: An email address that represents a Google service account. For example, `my-other-app@appspot.gserviceaccount.com`. * `serviceAccount:{projectid}.svc.id.goog[{namespace}/{kubernetes-sa}]`: An identifier for a [Kubernetes service account](https://cloud.google.com/kubernetes-engine/docs/how-to/kubernetes-service-accounts). For example, `my-project.svc.id.goog[my-namespace/my-kubernetes-sa]`. * `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. * `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. * `principal://iam.googleapis.com/locations/global/workforcePools/{pool_id}/subject/{subject_attribute_value}`: A single identity in a workforce identity pool. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/group/{group_id}`: All workforce identities in a group. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/attribute.{attribute_name}/{attribute_value}`: All workforce identities with a specific attribute value. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/*`: All identities in a workforce identity pool. * `principal://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/subject/{subject_attribute_value}`: A single identity in a workload identity pool. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/group/{group_id}`: A workload identity pool group. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/attribute.{attribute_name}/{attribute_value}`: All identities in a workload identity pool with a certain attribute. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/*`: All identities in a workload identity pool. * `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. * `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. * `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. * `deleted:principal://iam.googleapis.com/locations/global/workforcePools/{pool_id}/subject/{subject_attribute_value}`: Deleted single identity in a workforce identity pool. For example, `deleted:principal://iam.googleapis.com/locations/global/workforcePools/my-pool-id/subject/my-subject-attribute-value`.\n*   `role` (*type:* `String.t`, *default:* `nil`) - Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`. For an overview of the IAM roles and permissions, see the [IAM documentation](https://cloud.google.com/iam/docs/roles-overview). For a list of the available pre-defined roles, see [here](https://cloud.google.com/iam/docs/understanding-roles).","ref":"GoogleApi.DataCatalog.V1beta1.Model.Binding.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.Binding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Binding.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.Binding.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.Binding.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.DataCatalog.V1beta1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.Empty","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.Empty.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.Expr","doc":"Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() < 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Expr.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.Expr","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.\n*   `expression` (*type:* `String.t`, *default:* `nil`) - Textual representation of an expression in Common Expression Language syntax.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Expr.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.Expr.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Expr.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.Expr.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.Expr.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest","doc":"Request message for `GetIamPolicy` method.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest","doc":"*   `options` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.t`, *default:* `nil`) - OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions","doc":"Encapsulates settings provided to GetIamPolicy.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions","doc":"*   `requestedPolicyVersion` (*type:* `integer()`, *default:* `nil`) - Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec","doc":"Specification for the BigQuery connection.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec","doc":"*   `cloudSql` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.t`, *default:* `nil`) - Specification for the BigQuery connection to a Cloud SQL instance.\n*   `connectionType` (*type:* `String.t`, *default:* `nil`) - The type of the BigQuery connection.\n*   `hasCredential` (*type:* `boolean()`, *default:* `nil`) - True if there are credentials attached to the BigQuery connection; false otherwise.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec","doc":"Specification for a group of BigQuery tables with the `[prefix]YYYYMMDD` name pattern. For more information, see [Introduction to partitioned tables] (https://cloud.google.com/bigquery/docs/partitioned-tables#partitioning_versus_sharding).","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec","doc":"*   `dataset` (*type:* `String.t`, *default:* `nil`) - Output only. The Data Catalog resource name of the dataset entry the current table belongs to. For example: `projects/{PROJECT_ID}/locations/{LOCATION}/entrygroups/{ENTRY_GROUP_ID}/entries/{ENTRY_ID}`.\n*   `latestShardResource` (*type:* `String.t`, *default:* `nil`) - Output only. BigQuery resource name of the latest shard.\n*   `shardCount` (*type:* `String.t`, *default:* `nil`) - Output only. Total number of shards.\n*   `tablePrefix` (*type:* `String.t`, *default:* `nil`) - Output only. The table name prefix of the shards. The name of any given shard is `[table_prefix]YYYYMMDD`. For example, for the `MyTable20180101` shard, the `table_prefix` is `MyTable`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec","doc":"Fields specific for BigQuery routines.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec","doc":"*   `importedLibraries` (*type:* `list(String.t)`, *default:* `nil`) - Paths of the imported libraries.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec","doc":"Describes a BigQuery table.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec","doc":"*   `tableSourceType` (*type:* `String.t`, *default:* `nil`) - Output only. The table source type.\n*   `tableSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TableSpec.t`, *default:* `nil`) - Specification of a BigQuery table. Populated only if the `table_source_type` is `BIGQUERY_TABLE`.\n*   `viewSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ViewSpec.t`, *default:* `nil`) - Table view specification. Populated only if the `table_source_type` is `BIGQUERY_VIEW`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BusinessContext","doc":"Business Context of the entry.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BusinessContext.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BusinessContext","doc":"*   `contacts` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Contacts.t`, *default:* `nil`) - Contact people for the entry.\n*   `entryOverview` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1EntryOverview.t`, *default:* `nil`) - Entry overview fields for rich text descriptions of entries.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BusinessContext.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BusinessContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BusinessContext.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BusinessContext.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BusinessContext.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec","doc":"Specification that applies to Instance entries that are part of `CLOUD_BIGTABLE` system. (user_specified_type)","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec","doc":"*   `cloudBigtableClusterSpecs` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.t)`, *default:* `nil`) - The list of clusters for the Instance.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec","doc":"Spec that applies to clusters of an Instance of Cloud Bigtable.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Name of the cluster.\n*   `linkedResource` (*type:* `String.t`, *default:* `nil`) - A link back to the parent resource, in this case Instance.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Location of the cluster, typically a Cloud zone.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of the resource. For a cluster this would be \"CLUSTER\".","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpecCloudBigtableClusterSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec","doc":"Specification that applies to all entries that are part of `CLOUD_BIGTABLE` system (user_specified_type)","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec","doc":"*   `instanceDisplayName` (*type:* `String.t`, *default:* `nil`) - Display name of the Instance. This is user specified and different from the resource name.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec","doc":"Specification for the BigQuery connection to a Cloud SQL instance.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec","doc":"*   `database` (*type:* `String.t`, *default:* `nil`) - Database name.\n*   `instanceId` (*type:* `String.t`, *default:* `nil`) - Cloud SQL instance ID in the format of `project:location:instance`.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of the Cloud SQL database.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchema","doc":"A column within a schema. Columns can be nested inside other columns.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchema","doc":"*   `column` (*type:* `String.t`, *default:* `nil`) - Required. Name of the column. Must be a UTF-8 string without dots (.). The maximum size is 64 bytes.\n*   `defaultValue` (*type:* `String.t`, *default:* `nil`) - Optional. Default value for the column.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the column. Default value is an empty string. The description must be a UTF-8 string with the maximum size of 2000 bytes.\n*   `gcRule` (*type:* `String.t`, *default:* `nil`) - Optional. Garbage collection policy for the column or column family. Applies to systems like Cloud Bigtable.\n*   `highestIndexingType` (*type:* `String.t`, *default:* `nil`) - Optional. Most important inclusion of this column.\n*   `lookerColumnSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.t`, *default:* `nil`) - Looker specific column info of this column.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - Optional. A column's mode indicates whether values in this column are required, nullable, or repeated. Only `NULLABLE`, `REQUIRED`, and `REPEATED` values are supported. Default mode is `NULLABLE`.\n*   `ordinalPosition` (*type:* `integer()`, *default:* `nil`) - Optional. Ordinal position\n*   `rangeElementType` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.t`, *default:* `nil`) - Optional. The subtype of the RANGE, if the type of this field is RANGE. If the type is RANGE, this field is required. Possible values for the field element type of a RANGE include: * DATE * DATETIME * TIMESTAMP\n*   `subcolumns` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchema.t)`, *default:* `nil`) - Optional. Schema of sub-columns. A column can have zero or more sub-columns.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Required. Type of the column. Must be a UTF-8 string with the maximum size of 128 bytes.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType","doc":"Represents the type of a field element.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType","doc":"*   `type` (*type:* `String.t`, *default:* `nil`) - Required. The type of a field element. See ColumnSchema.type.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaFieldElementType.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec","doc":"Column info specific to Looker System.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec","doc":"*   `type` (*type:* `String.t`, *default:* `nil`) - Looker specific column type of this column.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchemaLookerColumnSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CommonUsageStats","doc":"Common statistics on the entry's usage. They can be set on any system.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CommonUsageStats.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CommonUsageStats","doc":"*   `viewCount` (*type:* `String.t`, *default:* `nil`) - View count in source system.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CommonUsageStats.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CommonUsageStats.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CommonUsageStats.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CommonUsageStats.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CommonUsageStats.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Contacts","doc":"Contact people for the entry.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Contacts.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Contacts","doc":"*   `people` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ContactsPerson.t)`, *default:* `nil`) - The list of contact people for the entry.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Contacts.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Contacts.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Contacts.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Contacts.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Contacts.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ContactsPerson","doc":"A contact person for the entry.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ContactsPerson.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ContactsPerson","doc":"*   `designation` (*type:* `String.t`, *default:* `nil`) - Designation of the person, for example, Data Steward.\n*   `email` (*type:* `String.t`, *default:* `nil`) - Email of the person in the format of `john.doe@xyz`, ``, or `John Doe`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ContactsPerson.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ContactsPerson.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ContactsPerson.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ContactsPerson.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ContactsPerson.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSource","doc":"Physical location of an entry.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSource.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSource","doc":"*   `resource` (*type:* `String.t`, *default:* `nil`) - Full name of a resource as defined by the service. For example: `//bigquery.googleapis.com/projects/{PROJECT_ID}/locations/{LOCATION}/datasets/{DATASET_ID}/tables/{TABLE_ID}`\n*   `service` (*type:* `String.t`, *default:* `nil`) - Service that physically stores the data.\n*   `sourceEntry` (*type:* `String.t`, *default:* `nil`) - Output only. Data Catalog entry name, if applicable.\n*   `storageProperties` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1StorageProperties.t`, *default:* `nil`) - Detailed properties of the underlying storage.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSource.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSource.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSource.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSource.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec","doc":"Specification that applies to a data source connection. Valid only for entries with the `DATA_SOURCE_CONNECTION` type. Only one of internal specs can be set at the time, and cannot be changed later.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec","doc":"*   `bigqueryConnectionSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryConnectionSpec.t`, *default:* `nil`) - Output only. Fields specific to BigQuery connections.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec","doc":"Specification that applies to a table resource. Valid only for entries with the `TABLE` type.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec","doc":"*   `databaseViewSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.t`, *default:* `nil`) - Spec what aplies to tables that are actually views. Not set for \"real\" tables.\n*   `dataplexTable` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.t`, *default:* `nil`) - Output only. Fields specific to a Dataplex table and present only in the Dataplex table entries.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of this table.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec","doc":"Specification that applies to database view.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec","doc":"*   `baseTable` (*type:* `String.t`, *default:* `nil`) - Name of a singular table this view reflects one to one.\n*   `sqlQuery` (*type:* `String.t`, *default:* `nil`) - SQL query used to generate this view.\n*   `viewType` (*type:* `String.t`, *default:* `nil`) - Type of this view.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpecDatabaseViewSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexExternalTable","doc":"External table registered by Dataplex. Dataplex publishes data discovered from an asset into multiple other systems (BigQuery, DPMS) in form of tables. We call them \"external tables\". External tables are also synced into the Data Catalog. This message contains pointers to those external tables (fully qualified name, resource name et cetera) within the Data Catalog.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexExternalTable","doc":"*   `dataCatalogEntry` (*type:* `String.t`, *default:* `nil`) - Name of the Data Catalog entry representing the external table.\n*   `fullyQualifiedName` (*type:* `String.t`, *default:* `nil`) - Fully qualified name (FQN) of the external table.\n*   `googleCloudResource` (*type:* `String.t`, *default:* `nil`) - Google Cloud resource name of the external table.\n*   `system` (*type:* `String.t`, *default:* `nil`) - Service in which the external table is registered.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec","doc":"Entry specyfication for a Dataplex fileset.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec","doc":"*   `dataplexSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexSpec.t`, *default:* `nil`) - Common Dataplex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexSpec","doc":"Common Dataplex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexSpec","doc":"*   `asset` (*type:* `String.t`, *default:* `nil`) - Fully qualified resource name of an asset in Dataplex, to which the underlying data source (Cloud Storage bucket or BigQuery dataset) of the entity is attached.\n*   `compressionFormat` (*type:* `String.t`, *default:* `nil`) - Compression format of the data, e.g., zip, gzip etc.\n*   `dataFormat` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchema.t`, *default:* `nil`) - Format of the data.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Project ID of the underlying Cloud Storage or BigQuery data. Note that this may not be the same project as the correspondingly Dataplex lake / zone / asset.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexTableSpec","doc":"Entry specification for a Dataplex table.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexTableSpec","doc":"*   `dataplexSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexSpec.t`, *default:* `nil`) - Common Dataplex fields.\n*   `externalTables` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexExternalTable.t)`, *default:* `nil`) - List of external tables registered by Dataplex in other systems based on the same underlying data. External tables allow to query this data in those systems.\n*   `userManaged` (*type:* `boolean()`, *default:* `nil`) - Indicates if the table schema is managed by the user or not.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexTableSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatasetSpec","doc":"Specification that applies to a dataset. Valid only for entries with the `DATASET` type.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatasetSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatasetSpec","doc":"*   `vertexDatasetSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.t`, *default:* `nil`) - Vertex AI Dataset specific fields","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatasetSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatasetSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatasetSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatasetSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatasetSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DumpItem","doc":"Wrapper for any item that can be contained in the dump.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DumpItem.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DumpItem","doc":"*   `taggedEntry` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TaggedEntry.t`, *default:* `nil`) - Entry and its tags.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DumpItem.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DumpItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DumpItem.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DumpItem.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DumpItem.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Entry","doc":"Entry metadata. A Data Catalog entry represents another resource in Google Cloud Platform (such as a BigQuery dataset or a Pub/Sub topic) or outside of it. You can use the `linked_resource` field in the entry resource to refer to the original resource ID of the source system. An entry resource contains resource details, for example, its schema. Additionally, you can attach flexible metadata to an entry in the form of a Tag.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Entry.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Entry","doc":"*   `bigqueryDateShardedSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryDateShardedSpec.t`, *default:* `nil`) - Output only. Specification for a group of BigQuery tables with the `[prefix]YYYYMMDD` name pattern. For more information, see [Introduction to partitioned tables] (https://cloud.google.com/bigquery/docs/partitioned-tables#partitioning_versus_sharding).\n*   `bigqueryTableSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryTableSpec.t`, *default:* `nil`) - Output only. Specification that applies to a BigQuery table. Valid only for entries with the `TABLE` type.\n*   `businessContext` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BusinessContext.t`, *default:* `nil`) - Business Context of the entry. Not supported for BigQuery datasets\n*   `cloudBigtableSystemSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableSystemSpec.t`, *default:* `nil`) - Specification that applies to Cloud Bigtable system. Only settable when `integrated_system` is equal to `CLOUD_BIGTABLE`\n*   `dataSource` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSource.t`, *default:* `nil`) - Output only. Physical location of the entry.\n*   `dataSourceConnectionSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataSourceConnectionSpec.t`, *default:* `nil`) - Specification that applies to a data source connection. Valid only for entries with the `DATA_SOURCE_CONNECTION` type.\n*   `databaseTableSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatabaseTableSpec.t`, *default:* `nil`) - Specification that applies to a table resource. Valid only for entries with the `TABLE` or `EXPLORE` type.\n*   `datasetSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DatasetSpec.t`, *default:* `nil`) - Specification that applies to a dataset.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Entry description that can consist of several sentences or paragraphs that describe entry contents. The description must not contain Unicode non-characters as well as C0 and C1 control codes except tabs (HT), new lines (LF), carriage returns (CR), and page breaks (FF). The maximum size is 2000 bytes when encoded in UTF-8. Default value is an empty string.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Display name of an entry. The maximum size is 500 bytes when encoded in UTF-8. Default value is an empty string.\n*   `featureOnlineStoreSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.t`, *default:* `nil`) - FeatureonlineStore spec for Vertex AI Feature Store.\n*   `filesetSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FilesetSpec.t`, *default:* `nil`) - Specification that applies to a fileset resource. Valid only for entries with the `FILESET` type.\n*   `fullyQualifiedName` (*type:* `String.t`, *default:* `nil`) - [Fully Qualified Name (FQN)](https://cloud.google.com//data-catalog/docs/fully-qualified-names) of the resource. Set automatically for entries representing resources from synced systems. Settable only during creation, and read-only later. Can be used for search and lookup of the entries. \n*   `gcsFilesetSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.t`, *default:* `nil`) - Specification that applies to a Cloud Storage fileset. Valid only for entries with the `FILESET` type.\n*   `integratedSystem` (*type:* `String.t`, *default:* `nil`) - Output only. Indicates the entry's source system that Data Catalog integrates with, such as BigQuery, Pub/Sub, or Dataproc Metastore.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Cloud labels attached to the entry. In Data Catalog, you can create and modify labels attached only to custom entries. Synced entries have unmodifiable labels that come from the source system.\n*   `linkedResource` (*type:* `String.t`, *default:* `nil`) - The resource this metadata entry refers to. For Google Cloud Platform resources, `linked_resource` is the [Full Resource Name] (https://cloud.google.com/apis/design/resource_names#full_resource_name). For example, the `linked_resource` for a table resource from BigQuery is: `//bigquery.googleapis.com/projects/{PROJECT_ID}/datasets/{DATASET_ID}/tables/{TABLE_ID}` Output only when the entry is one of the types in the `EntryType` enum. For entries with a `user_specified_type`, this field is optional and defaults to an empty string. The resource string must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), periods (.), colons (:), slashes (/), dashes (-), and hashes (#). The maximum size is 200 bytes when encoded in UTF-8.\n*   `lookerSystemSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.t`, *default:* `nil`) - Specification that applies to Looker sysstem. Only settable when `user_specified_system` is equal to `LOOKER`\n*   `modelSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ModelSpec.t`, *default:* `nil`) - Model specification.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Identifier. The resource name of an entry in URL format. Note: The entry itself and its child resources might not be stored in the location specified in its name.\n*   `personalDetails` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PersonalDetails.t`, *default:* `nil`) - Output only. Additional information related to the entry. Private to the current user.\n*   `routineSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpec.t`, *default:* `nil`) - Specification that applies to a user-defined function or procedure. Valid only for entries with the `ROUTINE` type.\n*   `schema` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Schema.t`, *default:* `nil`) - Schema of the entry. An entry might not have any schema attached to it.\n*   `serviceSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ServiceSpec.t`, *default:* `nil`) - Specification that applies to a Service resource.\n*   `sourceSystemTimestamps` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SystemTimestamps.t`, *default:* `nil`) - Timestamps from the underlying resource, not from the Data Catalog entry. Output only when the entry has a system listed in the `IntegratedSystem` enum. For entries with `user_specified_system`, this field is optional and defaults to an empty timestamp.\n*   `sqlDatabaseSystemSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.t`, *default:* `nil`) - Specification that applies to a relational database system. Only settable when `user_specified_system` is equal to `SQL_DATABASE`\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the entry. For details, see [`EntryType`](#entrytype).\n*   `usageSignal` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageSignal.t`, *default:* `nil`) - Resource usage statistics.\n*   `userSpecifiedSystem` (*type:* `String.t`, *default:* `nil`) - Indicates the entry's source system that Data Catalog doesn't automatically integrate with. The `user_specified_system` string has the following limitations: * Is case insensitive. * Must begin with a letter or underscore. * Can only contain letters, numbers, and underscores. * Must be at least 1 character and at most 64 characters long.\n*   `userSpecifiedType` (*type:* `String.t`, *default:* `nil`) - Custom entry type that doesn't match any of the values allowed for input and listed in the `EntryType` enum. When creating an entry, first check the type values in the enum. If there are no appropriate types for the new entry, provide a custom value, for example, `my_special_type`. The `user_specified_type` string has the following limitations: * Is case insensitive. * Must begin with a letter or underscore. * Can only contain letters, numbers, and underscores. * Must be at least 1 character and at most 64 characters long.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Entry.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Entry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Entry.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Entry.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Entry.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1EntryOverview","doc":"Entry overview fields for rich text descriptions of entries.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1EntryOverview.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1EntryOverview","doc":"*   `overview` (*type:* `String.t`, *default:* `nil`) - Entry overview with support for rich text. The overview must only contain Unicode characters, and should be formatted using HTML. The maximum length is 10 MiB as this value holds HTML descriptions including encoded images. The maximum length of the text without images is 100 KiB.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1EntryOverview.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1EntryOverview.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1EntryOverview.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1EntryOverview.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1EntryOverview.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec","doc":"Detail description of the source information of a Vertex Feature Online Store.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec","doc":"*   `storageType` (*type:* `String.t`, *default:* `nil`) - Output only. Type of underelaying storage for the FeatureOnlineStore.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FeatureOnlineStoreSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FilesetSpec","doc":"Specification that applies to a fileset. Valid only for entries with the 'FILESET' type.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FilesetSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FilesetSpec","doc":"*   `dataplexFileset` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1DataplexFilesetSpec.t`, *default:* `nil`) - Fields specific to a Dataplex fileset and present only in the Dataplex fileset entries.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FilesetSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FilesetSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FilesetSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FilesetSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1FilesetSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFileSpec","doc":"Specification of a single file in Cloud Storage.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFileSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFileSpec","doc":"*   `filePath` (*type:* `String.t`, *default:* `nil`) - Required. Full file path. Example: `gs://bucket_name/a/b.txt`.\n*   `gcsTimestamps` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SystemTimestamps.t`, *default:* `nil`) - Output only. Creation, modification, and expiration timestamps of a Cloud Storage file.\n*   `sizeBytes` (*type:* `String.t`, *default:* `nil`) - Output only. File size in bytes.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFileSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFileSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFileSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFileSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFileSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec","doc":"Describes a Cloud Storage fileset entry.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec","doc":"*   `filePatterns` (*type:* `list(String.t)`, *default:* `nil`) - Required. Patterns to identify a set of files in Google Cloud Storage. For more information, see [Wildcard Names] (https://cloud.google.com/storage/docs/gsutil/addlhelp/WildcardNames). Note: Currently, bucket wildcards are not supported. Examples of valid `file_patterns`: * `gs://bucket_name/dir/*`: matches all files in `bucket_name/dir` directory * `gs://bucket_name/dir/**`: matches all files in `bucket_name/dir` and all subdirectories * `gs://bucket_name/file*`: matches files prefixed by `file` in `bucket_name` * `gs://bucket_name/??.txt`: matches files with two characters followed by `.txt` in `bucket_name` * `gs://bucket_name/[aeiou].txt`: matches files that contain a single vowel character followed by `.txt` in `bucket_name` * `gs://bucket_name/[a-m].txt`: matches files that contain `a`, `b`, ... or `m` followed by `.txt` in `bucket_name` * `gs://bucket_name/a/*/b`: matches all files in `bucket_name` that match the `a/*/b` pattern, such as `a/c/b`, `a/d/b` * `gs://another_bucket/a.txt`: matches `gs://another_bucket/a.txt` You can combine wildcards to match complex sets of files, for example: `gs://bucket_name/[a-m]??.j*g`\n*   `sampleGcsFileSpecs` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFileSpec.t)`, *default:* `nil`) - Output only. Sample files contained in this fileset, not all files contained in this fileset are represented here.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1GcsFilesetSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata","doc":"Metadata message for long-running operation returned by the ImportEntries.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.Status.t)`, *default:* `nil`) - Partial errors that are encountered during the ImportEntries operation. There is no guarantee that all the encountered errors are reported. However, if no errors are reported, it means that no errors were encountered.\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of the import operation.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse","doc":"Response message for long-running operation returned by the ImportEntries.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse","doc":"*   `deletedEntriesCount` (*type:* `String.t`, *default:* `nil`) - Number of entries deleted as a result of import operation.\n*   `upsertedEntriesCount` (*type:* `String.t`, *default:* `nil`) - Cumulative number of entries created and entries updated as a result of import operation.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ImportEntriesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1LookerSystemSpec","doc":"Specification that applies to entries that are part `LOOKER` system (user_specified_type)","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1LookerSystemSpec","doc":"*   `parentInstanceDisplayName` (*type:* `String.t`, *default:* `nil`) - Name of the parent Looker Instance. Empty if it does not exist.\n*   `parentInstanceId` (*type:* `String.t`, *default:* `nil`) - ID of the parent Looker Instance. Empty if it does not exist. Example value: `someinstance.looker.com`\n*   `parentModelDisplayName` (*type:* `String.t`, *default:* `nil`) - Name of the parent Model. Empty if it does not exist.\n*   `parentModelId` (*type:* `String.t`, *default:* `nil`) - ID of the parent Model. Empty if it does not exist.\n*   `parentViewDisplayName` (*type:* `String.t`, *default:* `nil`) - Name of the parent View. Empty if it does not exist.\n*   `parentViewId` (*type:* `String.t`, *default:* `nil`) - ID of the parent View. Empty if it does not exist.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1LookerSystemSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ModelSpec","doc":"Specification that applies to a model. Valid only for entries with the `MODEL` type.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ModelSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ModelSpec","doc":"*   `vertexModelSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSpec.t`, *default:* `nil`) - Specification for vertex model resources.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ModelSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ModelSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ModelSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ModelSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ModelSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PersonalDetails","doc":"Entry metadata relevant only to the user and private to them.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PersonalDetails.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PersonalDetails","doc":"*   `starTime` (*type:* `DateTime.t`, *default:* `nil`) - Set if the entry is starred; unset otherwise.\n*   `starred` (*type:* `boolean()`, *default:* `nil`) - True if the entry is starred by the user; false otherwise.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PersonalDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PersonalDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PersonalDetails.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PersonalDetails.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PersonalDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchema","doc":"Native schema used by a resource represented as an entry. Used by query engines for deserializing and parsing source data.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchema","doc":"*   `avro` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.t`, *default:* `nil`) - Schema in Avro JSON format.\n*   `csv` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.t`, *default:* `nil`) - Marks a CSV-encoded data source.\n*   `orc` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.t`, *default:* `nil`) - Marks an ORC-encoded data source.\n*   `parquet` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.t`, *default:* `nil`) - Marks a Parquet-encoded data source.\n*   `protobuf` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.t`, *default:* `nil`) - Schema in protocol buffer format.\n*   `thrift` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.t`, *default:* `nil`) - Schema in Thrift format.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema","doc":"Schema in Avro JSON format.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - JSON source of the Avro schema.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema","doc":"Marks a CSV-encoded data source.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema","doc":"Marks an ORC-encoded data source.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema","doc":"Marks a Parquet-encoded data source.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema","doc":"Schema in protocol buffer format.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Protocol buffer source of the schema.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema","doc":"Schema in Thrift format.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Thrift IDL source of the schema.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata","doc":"Long-running operation metadata message returned by the ReconcileTags.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata","doc":"*   `errors` (*type:* `%{optional(String.t) => GoogleApi.DataCatalog.V1beta1.Model.Status.t}`, *default:* `nil`) - Maps the name of each tagged column (or empty string for a sole entry) to tagging operation status.\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of the reconciliation operation.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse","doc":"Long-running operation response message returned by ReconcileTags.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse","doc":"*   `createdTagsCount` (*type:* `String.t`, *default:* `nil`) - Number of tags created in the request.\n*   `deletedTagsCount` (*type:* `String.t`, *default:* `nil`) - Number of tags deleted in the request.\n*   `updatedTagsCount` (*type:* `String.t`, *default:* `nil`) - Number of tags updated in the request.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ReconcileTagsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpec","doc":"Specification that applies to a routine. Valid only for entries with the `ROUTINE` type.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpec","doc":"*   `bigqueryRoutineSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1BigQueryRoutineSpec.t`, *default:* `nil`) - Fields specific for BigQuery routines.\n*   `definitionBody` (*type:* `String.t`, *default:* `nil`) - The body of the routine.\n*   `language` (*type:* `String.t`, *default:* `nil`) - The language the routine is written in. The exact value depends on the source system. For BigQuery routines, possible values are: * `SQL` * `JAVASCRIPT`\n*   `returnType` (*type:* `String.t`, *default:* `nil`) - Return type of the argument. The exact value depends on the source system and the language.\n*   `routineArguments` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.t)`, *default:* `nil`) - Arguments of the routine.\n*   `routineType` (*type:* `String.t`, *default:* `nil`) - The type of the routine.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument","doc":"Input or output argument of a function or stored procedure.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument","doc":"*   `mode` (*type:* `String.t`, *default:* `nil`) - Specifies whether the argument is input or output.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the argument. A return argument of a function might not have a name.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of the argument. The exact value depends on the source system and the language.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1RoutineSpecArgument.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Schema","doc":"Represents a schema, for example, a BigQuery, GoogleSQL, or Avro schema.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Schema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Schema","doc":"*   `columns` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ColumnSchema.t)`, *default:* `nil`) - The unified GoogleSQL-like schema of columns. The overall maximum number of columns and nested columns is 10,000. The maximum nested depth is 15 levels.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Schema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Schema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Schema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Schema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Schema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ServiceSpec","doc":"Specification that applies to a Service resource. Valid only for entries with the `SERVICE` type.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ServiceSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ServiceSpec","doc":"*   `cloudBigtableInstanceSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CloudBigtableInstanceSpec.t`, *default:* `nil`) - Specification that applies to Instance entries of `CLOUD_BIGTABLE` system.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ServiceSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ServiceSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ServiceSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ServiceSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ServiceSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec","doc":"Specification that applies to entries that are part `SQL_DATABASE` system (user_specified_type)","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec","doc":"*   `databaseVersion` (*type:* `String.t`, *default:* `nil`) - Version of the database engine.\n*   `instanceHost` (*type:* `String.t`, *default:* `nil`) - Host of the SQL database enum InstanceHost { UNDEFINED = 0; SELF_HOSTED = 1; CLOUD_SQL = 2; AMAZON_RDS = 3; AZURE_SQL = 4; } Host of the enclousing database instance.\n*   `sqlEngine` (*type:* `String.t`, *default:* `nil`) - SQL Database Engine. enum SqlEngine { UNDEFINED = 0; MY_SQL = 1; POSTGRE_SQL = 2; SQL_SERVER = 3; } Engine of the enclosing database instance.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SqlDatabaseSystemSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1StorageProperties","doc":"Details the properties of the underlying storage.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1StorageProperties.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1StorageProperties","doc":"*   `filePattern` (*type:* `list(String.t)`, *default:* `nil`) - Patterns to identify a set of files for this fileset. Examples of a valid `file_pattern`: * `gs://bucket_name/dir/*`: matches all files in the `bucket_name/dir` directory * `gs://bucket_name/dir/**`: matches all files in the `bucket_name/dir` and all subdirectories recursively * `gs://bucket_name/file*`: matches files prefixed by `file` in `bucket_name` * `gs://bucket_name/??.txt`: matches files with two characters followed by `.txt` in `bucket_name` * `gs://bucket_name/[aeiou].txt`: matches files that contain a single vowel character followed by `.txt` in `bucket_name` * `gs://bucket_name/[a-m].txt`: matches files that contain `a`, `b`, ... or `m` followed by `.txt` in `bucket_name` * `gs://bucket_name/a/*/b`: matches all files in `bucket_name` that match the `a/*/b` pattern, such as `a/c/b`, `a/d/b` * `gs://another_bucket/a.txt`: matches `gs://another_bucket/a.txt`\n*   `fileType` (*type:* `String.t`, *default:* `nil`) - File type in MIME format, for example, `text/plain`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1StorageProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1StorageProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1StorageProperties.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1StorageProperties.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1StorageProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SystemTimestamps","doc":"Timestamps associated with this resource in a particular system.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SystemTimestamps.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SystemTimestamps","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Creation timestamp of the resource within the given system.\n*   `expireTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Expiration timestamp of the resource within the given system. Currently only applicable to BigQuery resources.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of the last modification of the resource or its metadata within a given system. Note: Depending on the source system, not every modification updates this timestamp. For example, BigQuery timestamps every metadata modification but not data or permission changes.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SystemTimestamps.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SystemTimestamps.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SystemTimestamps.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SystemTimestamps.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1SystemTimestamps.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TableSpec","doc":"Normal BigQuery table specification.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TableSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TableSpec","doc":"*   `groupedEntry` (*type:* `String.t`, *default:* `nil`) - Output only. If the table is date-sharded, that is, it matches the `[prefix]YYYYMMDD` name pattern, this field is the Data Catalog resource name of the date-sharded grouped entry. For example: `projects/{PROJECT_ID}/locations/{LOCATION}/entrygroups/{ENTRY_GROUP_ID}/entries/{ENTRY_ID}`. Otherwise, `grouped_entry` is empty.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TableSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TableSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TableSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TableSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TableSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Tag","doc":"Tags contain custom metadata and are attached to Data Catalog resources. Tags conform with the specification of their tag template. See [Data Catalog IAM](https://cloud.google.com/data-catalog/docs/concepts/iam) for information on the permissions needed to create or view tags.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Tag.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Tag","doc":"*   `column` (*type:* `String.t`, *default:* `nil`) - Resources like entry can have schemas associated with them. This scope allows you to attach tags to an individual column based on that schema. To attach a tag to a nested column, separate column names with a dot (`.`). Example: `column.nested_column`.\n*   `fields` (*type:* `%{optional(String.t) => GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagField.t}`, *default:* `nil`) - Required. Maps the ID of a tag field to its value and additional information about that field. Tag template defines valid field IDs. A tag must have at least 1 field and at most 500 fields.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. The resource name of the tag in URL format where tag ID is a system-generated identifier. Note: The tag itself might not be stored in the location specified in its name.\n*   `template` (*type:* `String.t`, *default:* `nil`) - Required. The resource name of the tag template this tag uses. Example: `projects/{PROJECT_ID}/locations/{LOCATION}/tagTemplates/{TAG_TEMPLATE_ID}` This field cannot be modified after creation.\n*   `templateDisplayName` (*type:* `String.t`, *default:* `nil`) - Output only. The display name of the tag template.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Tag.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Tag.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Tag.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Tag.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Tag.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagField","doc":"Contains the value and additional information on a field within a Tag.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagField.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagField","doc":"*   `boolValue` (*type:* `boolean()`, *default:* `nil`) - The value of a tag field with a boolean type.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Output only. The display name of this field.\n*   `doubleValue` (*type:* `float()`, *default:* `nil`) - The value of a tag field with a double type.\n*   `enumValue` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.t`, *default:* `nil`) - The value of a tag field with an enum type. This value must be one of the allowed values listed in this enum.\n*   `order` (*type:* `integer()`, *default:* `nil`) - Output only. The order of this field with respect to other fields in this tag. Can be set by Tag. For example, a higher value can indicate a more important field. The value can be negative. Multiple fields can have the same order, and field orders within a tag don't have to be sequential.\n*   `richtextValue` (*type:* `String.t`, *default:* `nil`) - The value of a tag field with a rich text type. The maximum length is 10 MiB as this value holds HTML descriptions including encoded images. The maximum length of the text without images is 100 KiB.\n*   `stringValue` (*type:* `String.t`, *default:* `nil`) - The value of a tag field with a string type. The maximum length is 2000 UTF-8 characters.\n*   `timestampValue` (*type:* `DateTime.t`, *default:* `nil`) - The value of a tag field with a timestamp type.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagField.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagField.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagField.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagField.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagField.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue","doc":"An enum value.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the enum value.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TagFieldEnumValue.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TaggedEntry","doc":"Wrapper containing Entry and information about Tags that should and should not be attached to it.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TaggedEntry.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TaggedEntry","doc":"*   `absentTags` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Tag.t)`, *default:* `nil`) - Optional. Tags that should be deleted from the Data Catalog. Caller should populate template name and column only.\n*   `presentTags` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Tag.t)`, *default:* `nil`) - Optional. Tags that should be ingested into the Data Catalog. Caller should populate template name, column and fields.\n*   `v1Entry` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1Entry.t`, *default:* `nil`) - Non-encrypted Data Catalog v1 Entry.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TaggedEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TaggedEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TaggedEntry.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TaggedEntry.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1TaggedEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageSignal","doc":"The set of all usage signals that Data Catalog stores. Note: Usually, these signals are updated daily. In rare cases, an update may fail but will be performed again on the next day.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageSignal.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageSignal","doc":"*   `commonUsageWithinTimeRange` (*type:* `%{optional(String.t) => GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1CommonUsageStats.t}`, *default:* `nil`) - Common usage statistics over each of the predefined time ranges. Supported time ranges are `{\"24H\", \"7D\", \"30D\", \"Lifetime\"}`.\n*   `favoriteCount` (*type:* `String.t`, *default:* `nil`) - Favorite count in the source system.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - The end timestamp of the duration of usage statistics.\n*   `usageWithinTimeRange` (*type:* `%{optional(String.t) => GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageStats.t}`, *default:* `nil`) - Output only. BigQuery usage statistics over each of the predefined time ranges. Supported time ranges are `{\"24H\", \"7D\", \"30D\"}`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageSignal.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageSignal.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageSignal.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageSignal.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageSignal.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageStats","doc":"Detailed statistics on the entry's usage. Usage statistics have the following limitations: - Only BigQuery tables have them. - They only include BigQuery query jobs. - They might be underestimated because wildcard table references are not yet counted. For more information, see [Querying multiple tables using a wildcard table] (https://cloud.google.com/bigquery/docs/querying-wildcard-tables)","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageStats.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageStats","doc":"*   `totalCancellations` (*type:* `number()`, *default:* `nil`) - The number of cancelled attempts to use the underlying entry.\n*   `totalCompletions` (*type:* `number()`, *default:* `nil`) - The number of successful uses of the underlying entry.\n*   `totalExecutionTimeForCompletionsMillis` (*type:* `number()`, *default:* `nil`) - Total time spent only on successful uses, in milliseconds.\n*   `totalFailures` (*type:* `number()`, *default:* `nil`) - The number of failed attempts to use the underlying entry.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageStats.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageStats.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageStats.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageStats.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1UsageStats.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec","doc":"Specification for vertex dataset resources.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec","doc":"*   `dataItemCount` (*type:* `String.t`, *default:* `nil`) - The number of DataItems in this Dataset. Only apply for non-structured Dataset.\n*   `dataType` (*type:* `String.t`, *default:* `nil`) - Type of the dataset.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexDatasetSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo","doc":"Detail description of the source information of a Vertex model.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo","doc":"*   `copy` (*type:* `boolean()`, *default:* `nil`) - If this Model is copy of another Model. If true then source_type pertains to the original.\n*   `sourceType` (*type:* `String.t`, *default:* `nil`) - Type of the model source.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSpec","doc":"Specification for vertex model resources.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSpec","doc":"*   `containerImageUri` (*type:* `String.t`, *default:* `nil`) - URI of the Docker image to be used as the custom container for serving predictions.\n*   `versionAliases` (*type:* `list(String.t)`, *default:* `nil`) - User provided version aliases so that a model version can be referenced via alias\n*   `versionDescription` (*type:* `String.t`, *default:* `nil`) - The description of this version.\n*   `versionId` (*type:* `String.t`, *default:* `nil`) - The version ID of the model.\n*   `vertexModelSourceInfo` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSourceInfo.t`, *default:* `nil`) - Source of a Vertex model.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1VertexModelSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ViewSpec","doc":"Table view specification.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ViewSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ViewSpec","doc":"*   `viewQuery` (*type:* `String.t`, *default:* `nil`) - Output only. The query that defines the table view.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ViewSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ViewSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ViewSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ViewSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1ViewSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec","doc":"Spec for a group of BigQuery tables with name pattern `[prefix]YYYYMMDD`. Context: https://cloud.google.com/bigquery/docs/partitioned-tables#partitioning_versus_sharding","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec","doc":"*   `dataset` (*type:* `String.t`, *default:* `nil`) - Output only. The Data Catalog resource name of the dataset entry the current table belongs to, for example, `projects/{project_id}/locations/{location}/entrygroups/{entry_group_id}/entries/{entry_id}`.\n*   `shardCount` (*type:* `String.t`, *default:* `nil`) - Output only. Total number of shards.\n*   `tablePrefix` (*type:* `String.t`, *default:* `nil`) - Output only. The table name prefix of the shards. The name of any given shard is `[table_prefix]YYYYMMDD`, for example, for shard `MyTable20180101`, the `table_prefix` is `MyTable`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec","doc":"Describes a BigQuery table.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec","doc":"*   `tableSourceType` (*type:* `String.t`, *default:* `nil`) - Output only. The table source type.\n*   `tableSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.t`, *default:* `nil`) - Spec of a BigQuery table. This field should only be populated if `table_source_type` is `BIGQUERY_TABLE`.\n*   `viewSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.t`, *default:* `nil`) - Table view specification. This field should only be populated if `table_source_type` is `BIGQUERY_VIEW`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema","doc":"Representation of a column within a schema. Columns could be nested inside other columns.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema","doc":"*   `column` (*type:* `String.t`, *default:* `nil`) - Required. Name of the column.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the column. Default value is an empty string.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - Optional. A column's mode indicates whether the values in this column are required, nullable, etc. Only `NULLABLE`, `REQUIRED` and `REPEATED` are supported. Default mode is `NULLABLE`.\n*   `subcolumns` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.t)`, *default:* `nil`) - Optional. Schema of sub-columns. A column can have zero or more sub-columns.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Required. Type of the column.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry","doc":"Entry Metadata. A Data Catalog Entry resource represents another resource in Google Cloud Platform (such as a BigQuery dataset or a Pub/Sub topic), or outside of Google Cloud Platform. Clients can use the `linked_resource` field in the Entry resource to refer to the original resource ID of the source system. An Entry resource contains resource details, such as its schema. An Entry can also be used to attach flexible metadata, such as a Tag.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry","doc":"*   `bigqueryDateShardedSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.t`, *default:* `nil`) - Specification for a group of BigQuery tables with name pattern `[prefix]YYYYMMDD`. Context: https://cloud.google.com/bigquery/docs/partitioned-tables#partitioning_versus_sharding.\n*   `bigqueryTableSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.t`, *default:* `nil`) - Specification that applies to a BigQuery table. This is only valid on entries of type `TABLE`.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Entry description, which can consist of several sentences or paragraphs that describe entry contents. Default value is an empty string.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Display information such as title and description. A short name to identify the entry, for example, \"Analytics Data - Jan 2011\". Default value is an empty string.\n*   `gcsFilesetSpec` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.t`, *default:* `nil`) - Specification that applies to a Cloud Storage fileset. This is only valid on entries of type FILESET.\n*   `integratedSystem` (*type:* `String.t`, *default:* `nil`) - Output only. This field indicates the entry's source system that Data Catalog integrates with, such as BigQuery or Pub/Sub.\n*   `linkedResource` (*type:* `String.t`, *default:* `nil`) - The resource this metadata entry refers to. For Google Cloud Platform resources, `linked_resource` is the [full name of the resource](https://cloud.google.com/apis/design/resource_names#full_resource_name). For example, the `linked_resource` for a table resource from BigQuery is: * //bigquery.googleapis.com/projects/projectId/datasets/datasetId/tables/tableId Output only when Entry is of type in the EntryType enum. For entries with user_specified_type, this field is optional and defaults to an empty string.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Identifier. The Data Catalog resource name of the entry in URL format. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id} Note that this Entry and its child resources may not actually be stored in the location in this name.\n*   `schema` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.t`, *default:* `nil`) - Schema of the entry. An entry might not have any schema attached to it.\n*   `sourceSystemTimestamps` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.t`, *default:* `nil`) - Output only. Timestamps about the underlying resource, not about this Data Catalog entry. Output only when Entry is of type in the EntryType enum. For entries with user_specified_type, this field is optional and defaults to an empty timestamp.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the entry. Only used for Entries with types in the EntryType enum.\n*   `usageSignal` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageSignal.t`, *default:* `nil`) - Output only. Statistics on the usage level of the resource.\n*   `userSpecifiedSystem` (*type:* `String.t`, *default:* `nil`) - This field indicates the entry's source system that Data Catalog does not integrate with. `user_specified_system` strings must begin with a letter or underscore and can only contain letters, numbers, and underscores; are case insensitive; must be at least 1 character and at most 64 characters long.\n*   `userSpecifiedType` (*type:* `String.t`, *default:* `nil`) - Entry type if it does not fit any of the input-allowed values listed in `EntryType` enum above. When creating an entry, users should check the enum values first, if nothing matches the entry to be created, then provide a custom value, for example \"my_special_type\". `user_specified_type` strings must begin with a letter or underscore and can only contain letters, numbers, and underscores; are case insensitive; must be at least 1 character and at most 64 characters long. Currently, only FILESET enum value is allowed. All other entries created through Data Catalog must use `user_specified_type`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup","doc":"EntryGroup Metadata. An EntryGroup resource represents a logical grouping of zero or more Data Catalog Entry resources.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup","doc":"*   `dataCatalogTimestamps` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.t`, *default:* `nil`) - Output only. Timestamps about this EntryGroup. Default value is empty timestamps.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Entry group description, which can consist of several sentences or paragraphs that describe entry group contents. Default value is an empty string.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - A short name to identify the entry group, for example, \"analytics data - jan 2011\". Default value is an empty string.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. The resource name of the entry group in URL format. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id} Note that this EntryGroup and its child resources may not actually be stored in the location in this name.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse","doc":"Response message for ExportTaxonomies.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse","doc":"*   `taxonomies` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.t)`, *default:* `nil`) - List of taxonomies and policy tags in a tree structure.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType","doc":"*   `enumType` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.t`, *default:* `nil`) - Represents an enum type.\n*   `primitiveType` (*type:* `String.t`, *default:* `nil`) - Represents primitive types - string, bool etc.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType","doc":"*   `allowedValues` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.t)`, *default:* `nil`) -","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The display name of the enum value. Must not be an empty string.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec","doc":"Specifications of a single file in Cloud Storage.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec","doc":"*   `filePath` (*type:* `String.t`, *default:* `nil`) - Required. The full file path. Example: `gs://bucket_name/a/b.txt`.\n*   `gcsTimestamps` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.t`, *default:* `nil`) - Output only. Timestamps about the Cloud Storage file.\n*   `sizeBytes` (*type:* `String.t`, *default:* `nil`) - Output only. The size of the file, in bytes.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec","doc":"Describes a Cloud Storage fileset entry.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec","doc":"*   `filePatterns` (*type:* `list(String.t)`, *default:* `nil`) - Required. Patterns to identify a set of files in Google Cloud Storage. See [Cloud Storage documentation](https://cloud.google.com/storage/docs/gsutil/addlhelp/WildcardNames) for more information. Note that bucket wildcards are currently not supported. Examples of valid file_patterns: * `gs://bucket_name/dir/*`: matches all files within `bucket_name/dir` directory. * `gs://bucket_name/dir/**`: matches all files in `bucket_name/dir` spanning all subdirectories. * `gs://bucket_name/file*`: matches files prefixed by `file` in `bucket_name` * `gs://bucket_name/??.txt`: matches files with two characters followed by `.txt` in `bucket_name` * `gs://bucket_name/[aeiou].txt`: matches files that contain a single vowel character followed by `.txt` in `bucket_name` * `gs://bucket_name/[a-m].txt`: matches files that contain `a`, `b`, ... or `m` followed by `.txt` in `bucket_name` * `gs://bucket_name/a/*/b`: matches all files in `bucket_name` that match `a/*/b` pattern, such as `a/c/b`, `a/d/b` * `gs://another_bucket/a.txt`: matches `gs://another_bucket/a.txt` You can combine wildcards to provide more powerful matches, for example: * `gs://bucket_name/[a-m]??.j*g`\n*   `sampleGcsFileSpecs` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.t)`, *default:* `nil`) - Output only. Sample files contained in this fileset, not all files contained in this fileset are represented here.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest","doc":"Request message for ImportTaxonomies.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest","doc":"*   `inlineSource` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.t`, *default:* `nil`) - Inline source used for taxonomies to be imported.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse","doc":"Response message for ImportTaxonomies.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse","doc":"*   `taxonomies` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.t)`, *default:* `nil`) - Taxonomies that were imported.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource","doc":"Inline source used for taxonomies import.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource","doc":"*   `taxonomies` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.t)`, *default:* `nil`) - Required. Taxonomies to be imported.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse","doc":"Response message for ListEntries.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse","doc":"*   `entries` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.t)`, *default:* `nil`) - Entry details.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results. It is set to empty if no items remain in results.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse","doc":"Response message for ListEntryGroups.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse","doc":"*   `entryGroups` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.t)`, *default:* `nil`) - EntryGroup details.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results. It is set to empty if no items remain in results.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse","doc":"Response message for ListPolicyTags.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token used to retrieve the next page of results, or empty if there are no more results in the list.\n*   `policyTags` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.t)`, *default:* `nil`) - The policy tags that are in the requested taxonomy.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse","doc":"Response message for ListTags.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results. It is set to empty if no items remain in results.\n*   `tags` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.t)`, *default:* `nil`) - Tag details.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse","doc":"Response message for ListTaxonomies.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token used to retrieve the next page of results, or empty if there are no more results in the list.\n*   `taxonomies` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.t)`, *default:* `nil`) - Taxonomies that the project contains.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag","doc":"Denotes one policy tag in a taxonomy (e.g. ssn). Policy Tags can be defined in a hierarchy. For example, consider the following hierarchy: Geolocation -> (LatLong, City, ZipCode). PolicyTag \"Geolocation\" contains three child policy tags: \"LatLong\", \"City\", and \"ZipCode\".","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag","doc":"*   `childPolicyTags` (*type:* `list(String.t)`, *default:* `nil`) - Output only. Resource names of child policy tags of this policy tag.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of this policy tag. It must: contain only unicode characters, tabs, newlines, carriage returns and page breaks; and be at most 2000 bytes long when encoded in UTF-8. If not set, defaults to an empty description. If not set, defaults to an empty description.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. User defined name of this policy tag. It must: be unique within the parent taxonomy; contain only unicode letters, numbers, underscores, dashes and spaces; not start or end with spaces; and be at most 200 bytes long when encoded in UTF-8.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. Resource name of this policy tag, whose format is: \"projects/{project_number}/locations/{location_id}/taxonomies/{taxonomy_id}/policyTags/{id}\".\n*   `parentPolicyTag` (*type:* `String.t`, *default:* `nil`) - Resource name of this policy tag's parent policy tag (e.g. for the \"LatLong\" policy tag in the example above, this field contains the resource name of the \"Geolocation\" policy tag). If empty, it means this policy tag is a top level policy tag (e.g. this field is empty for the \"Geolocation\" policy tag in the example above). If not set, defaults to an empty string.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest","doc":"Request message for RenameTagTemplateFieldEnumValue.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest","doc":"*   `newEnumValueDisplayName` (*type:* `String.t`, *default:* `nil`) - Required. The new display name of the enum value. For example, `my_new_enum_value`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest","doc":"Request message for RenameTagTemplateField.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest","doc":"*   `newTagTemplateFieldId` (*type:* `String.t`, *default:* `nil`) - Required. The new ID of this tag template field. For example, `my_new_field`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema","doc":"Represents a schema (e.g. BigQuery, GoogleSQL, Avro schema).","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema","doc":"*   `columns` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.t)`, *default:* `nil`) - Required. Schema of columns. A maximum of 10,000 columns and sub-columns can be specified.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest","doc":"Request message for SearchCatalog.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest","doc":"*   `orderBy` (*type:* `String.t`, *default:* `nil`) - Specifies the ordering of results, currently supported case-sensitive choices are: * `relevance`, only supports descending * `last_modified_timestamp [asc|desc]`, defaults to descending if not specified * `default` that can only be descending If not specified, defaults to `relevance` descending.\n*   `pageSize` (*type:* `integer()`, *default:* `nil`) - Number of results in the search page. If <=0 then defaults to 10. Max limit for page_size is 1000. Throws an invalid argument for page_size > 1000.\n*   `pageToken` (*type:* `String.t`, *default:* `nil`) - Optional. Pagination token returned in an earlier SearchCatalogResponse.next_page_token, which indicates that this is a continuation of a prior SearchCatalogRequest call, and that the system should return the next page of data. If empty, the first page is returned.\n*   `query` (*type:* `String.t`, *default:* `nil`) - Optional. The query string in search query syntax. An empty query string will result in all data assets (in the specified scope) that the user has access to. Query strings can be simple as \"x\" or more qualified as: * name:x * column:x * description:y Note: Query tokens need to have a minimum of 3 characters for substring matching to work correctly. See [Data Catalog Search Syntax](https://cloud.google.com/data-catalog/docs/how-to/search-reference) for more information.\n*   `scope` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.t`, *default:* `nil`) - Required. The scope of this search request. A `scope` that has empty `include_org_ids`, `include_project_ids` AND false `include_gcp_public_datasets` is considered invalid. Data Catalog will return an error in such a case.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope","doc":"The criteria that select the subspace used for query matching.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope","doc":"*   `includeGcpPublicDatasets` (*type:* `boolean()`, *default:* `nil`) - If `true`, include Google Cloud public datasets in the search results. Info on Google Cloud public datasets is available at https://cloud.google.com/public-datasets/. By default, Google Cloud public datasets are excluded.\n*   `includeOrgIds` (*type:* `list(String.t)`, *default:* `nil`) - The list of organization IDs to search within. To find your organization ID, follow instructions in https://cloud.google.com/resource-manager/docs/creating-managing-organization.\n*   `includeProjectIds` (*type:* `list(String.t)`, *default:* `nil`) - The list of project IDs to search within. To learn more about the distinction between project names/IDs/numbers, go to https://cloud.google.com/docs/overview/#projects.\n*   `restrictedLocations` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of locations to search within. 1. If empty, search will be performed in all locations; 2. If any of the locations are NOT in the valid locations list, error will be returned; 3. Otherwise, search only the given locations for matching results. Typical usage is to leave this field empty. When a location is unreachable as returned in the `SearchCatalogResponse.unreachable` field, users can repeat the search request with this parameter set to get additional information on the error. Valid locations: * asia-east1 * asia-east2 * asia-northeast1 * asia-northeast2 * asia-northeast3 * asia-south1 * asia-southeast1 * australia-southeast1 * eu * europe-north1 * europe-west1 * europe-west2 * europe-west3 * europe-west4 * europe-west6 * global * northamerica-northeast1 * southamerica-east1 * us * us-central1 * us-east1 * us-east4 * us-west1 * us-west2","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse","doc":"Response message for SearchCatalog.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The token that can be used to retrieve the next page of results.\n*   `results` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.t)`, *default:* `nil`) - Search results.\n*   `totalSize` (*type:* `integer()`, *default:* `nil`) - The approximate total number of entries matched by the query.\n*   `unreachable` (*type:* `list(String.t)`, *default:* `nil`) - Unreachable locations. Search result does not include data from those locations. Users can get additional information on the error by repeating the search request with a more restrictive parameter -- setting the value for `SearchDataCatalogRequest.scope.restricted_locations`.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult","doc":"A result that appears in the response of a search request. Each result captures details of one entry that matches the search.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult","doc":"*   `linkedResource` (*type:* `String.t`, *default:* `nil`) - The full name of the cloud resource the entry belongs to. See: https://cloud.google.com/apis/design/resource_names#full_resource_name. Example: * `//bigquery.googleapis.com/projects/projectId/datasets/datasetId/tables/tableId`\n*   `modifyTime` (*type:* `DateTime.t`, *default:* `nil`) - Last-modified timestamp of the entry from the managing system.\n*   `relativeResourceName` (*type:* `String.t`, *default:* `nil`) - The relative resource name of the resource in URL format. Examples: * `projects/{project_id}/locations/{location_id}/entryGroups/{entry_group_id}/entries/{entry_id}` * `projects/{project_id}/tagTemplates/{tag_template_id}`\n*   `searchResultSubtype` (*type:* `String.t`, *default:* `nil`) - Sub-type of the search result. This is a dot-delimited description of the resource's full type, and is the same as the value callers would provide in the \"type\" search facet. Examples: `entry.table`, `entry.dataStream`, `tagTemplate`.\n*   `searchResultType` (*type:* `String.t`, *default:* `nil`) - Type of the search result. This field can be used to determine which Get method to call to fetch the full resource.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag","doc":"Message representing one policy tag when exported as a nested proto.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag","doc":"*   `childPolicyTags` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.t)`, *default:* `nil`) - Children of the policy tag if any.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of the serialized policy tag. The length of the description is limited to 2000 bytes when encoded in UTF-8. If not set, defaults to an empty description.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. Display name of the policy tag. Max 200 bytes when encoded in UTF-8.\n*   `policyTag` (*type:* `String.t`, *default:* `nil`) - Resource name of the policy tag. This field will be ignored when calling ImportTaxonomies.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy","doc":"Message capturing a taxonomy and its policy tag hierarchy as a nested proto. Used for taxonomy import/export and mutation.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy","doc":"*   `activatedPolicyTypes` (*type:* `list(String.t)`, *default:* `nil`) - A list of policy types that are activated for a taxonomy.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of the serialized taxonomy. The length of the description is limited to 2000 bytes when encoded in UTF-8. If not set, defaults to an empty description.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. Display name of the taxonomy. Max 200 bytes when encoded in UTF-8.\n*   `policyTags` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.t)`, *default:* `nil`) - Top level policy tags associated with the taxonomy if any.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps","doc":"Timestamps about this resource according to a particular system.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The creation time of the resource within the given system.\n*   `expireTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The expiration time of the resource within the given system. Currently only apllicable to BigQuery resources.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - The last-modified time of the resource within the given system.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec","doc":"Normal BigQuery table spec.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec","doc":"*   `groupedEntry` (*type:* `String.t`, *default:* `nil`) - Output only. If the table is a dated shard, i.e., with name pattern `[prefix]YYYYMMDD`, `grouped_entry` is the Data Catalog resource name of the date sharded grouped entry, for example, `projects/{project_id}/locations/{location}/entrygroups/{entry_group_id}/entries/{entry_id}`. Otherwise, `grouped_entry` is empty.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag","doc":"Tags are used to attach custom metadata to Data Catalog resources. Tags conform to the specifications within their tag template. See [Data Catalog IAM](https://cloud.google.com/data-catalog/docs/concepts/iam) for information on the permissions needed to create or view tags.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag","doc":"*   `column` (*type:* `String.t`, *default:* `nil`) - Resources like Entry can have schemas associated with them. This scope allows users to attach tags to an individual column based on that schema. For attaching a tag to a nested column, use `.` to separate the column names. Example: * `outer_column.inner_column`\n*   `fields` (*type:* `%{optional(String.t) => GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.t}`, *default:* `nil`) - Required. This maps the ID of a tag field to the value of and additional information about that field. Valid field IDs are defined by the tag's template. A tag must have at least 1 field and at most 500 fields.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. The resource name of the tag in URL format. Example: * projects/{project_id}/locations/{location}/entrygroups/{entry_group_id}/entries/{entry_id}/tags/{tag_id} where `tag_id` is a system-generated identifier. Note that this Tag may not actually be stored in the location in this name.\n*   `template` (*type:* `String.t`, *default:* `nil`) - Required. The resource name of the tag template that this tag uses. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id} This field cannot be modified after creation.\n*   `templateDisplayName` (*type:* `String.t`, *default:* `nil`) - Output only. The display name of the tag template.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField","doc":"Contains the value and supporting information for a field within a Tag.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField","doc":"*   `boolValue` (*type:* `boolean()`, *default:* `nil`) - Holds the value for a tag field with boolean type.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Output only. The display name of this field.\n*   `doubleValue` (*type:* `float()`, *default:* `nil`) - Holds the value for a tag field with double type.\n*   `enumValue` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.t`, *default:* `nil`) - Holds the value for a tag field with enum type. This value must be one of the allowed values in the definition of this enum.\n*   `order` (*type:* `integer()`, *default:* `nil`) - Output only. The order of this field with respect to other fields in this tag. It can be set in Tag. For example, a higher value can indicate a more important field. The value can be negative. Multiple fields can have the same order, and field orders within a tag do not have to be sequential.\n*   `stringValue` (*type:* `String.t`, *default:* `nil`) - Holds the value for a tag field with string type.\n*   `timestampValue` (*type:* `DateTime.t`, *default:* `nil`) - Holds the value for a tag field with timestamp type.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue","doc":"Holds an enum value.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the enum value.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate","doc":"A tag template defines a tag, which can have one or more typed fields. The template is used to create and attach the tag to Google Cloud resources. [Tag template roles](https://cloud.google.com/iam/docs/understanding-roles#data-catalog-roles) provide permissions to create, edit, and use the template. See, for example, the [TagTemplate User](https://cloud.google.com/data-catalog/docs/how-to/template-user) role, which includes permission to use the tag template to tag resources.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate","doc":"*   `dataplexTransferStatus` (*type:* `String.t`, *default:* `nil`) - Output only. Transfer status of the TagTemplate\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name for this template. Defaults to an empty string.\n*   `fields` (*type:* `%{optional(String.t) => GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.t}`, *default:* `nil`) - Required. Map of tag template field IDs to the settings for the field. This map is an exhaustive list of the allowed fields. This map must contain at least one field and at most 500 fields. The keys to this map are tag template field IDs. Field IDs can contain letters (both uppercase and lowercase), numbers (0-9) and underscores (_). Field IDs must be at least 1 character long and at most 64 characters long. Field IDs must start with a letter or underscore.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. The resource name of the tag template in URL format. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id} Note that this TagTemplate and its child resources may not actually be stored in the location in this name.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField","doc":"The template for an individual field within a tag template.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - The description for this field. Defaults to an empty string.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name for this field. Defaults to an empty string.\n*   `isRequired` (*type:* `boolean()`, *default:* `nil`) - Whether this is a required field. Defaults to false.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Identifier. The resource name of the tag template field in URL format. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template}/fields/{field} Note that this TagTemplateField may not actually be stored in the location in this name.\n*   `order` (*type:* `integer()`, *default:* `nil`) - The order of this field with respect to other fields in this tag template. A higher value indicates a more important field. The value can be negative. Multiple fields can have the same order, and field orders within a tag do not have to be sequential.\n*   `type` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.t`, *default:* `nil`) - Required. The type of value this tag field can contain.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy","doc":"A taxonomy is a collection of policy tags that classify data along a common axis. For instance a data *sensitivity* taxonomy could contain policy tags denoting PII such as age, zipcode, and SSN. A data *origin* taxonomy could contain policy tags to distinguish user data, employee data, partner data, public data.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy","doc":"*   `activatedPolicyTypes` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of policy types that are activated for this taxonomy. If not set, defaults to an empty list.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of this taxonomy. It must: contain only unicode characters, tabs, newlines, carriage returns and page breaks; and be at most 2000 bytes long when encoded in UTF-8. If not set, defaults to an empty description.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. User defined name of this taxonomy. It must: contain only unicode letters, numbers, underscores, dashes and spaces; not start or end with spaces; and be at most 200 bytes long when encoded in UTF-8. The taxonomy display name must be unique within an organization.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. Resource name of this taxonomy, whose format is: \"projects/{project_number}/locations/{location_id}/taxonomies/{id}\".\n*   `policyTagCount` (*type:* `integer()`, *default:* `nil`) - Output only. Number of policy tags contained in this taxonomy.\n*   `service` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TaxonomyService.t`, *default:* `nil`) - Output only. Identity of the service which owns the Taxonomy. This field is only populated when the taxonomy is created by a Google Cloud service. Currently only 'DATAPLEX' is supported.\n*   `taxonomyTimestamps` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.t`, *default:* `nil`) - Output only. Timestamps about this taxonomy. Only create_time and update_time are used.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TaxonomyService","doc":"The source system of the Taxonomy.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TaxonomyService.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TaxonomyService","doc":"*   `identity` (*type:* `String.t`, *default:* `nil`) - The service agent for the service.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The Google Cloud service name.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TaxonomyService.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TaxonomyService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TaxonomyService.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TaxonomyService.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TaxonomyService.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageSignal","doc":"The set of all usage signals that we store in Data Catalog.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageSignal.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageSignal","doc":"*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - The timestamp of the end of the usage statistics duration.\n*   `usageWithinTimeRange` (*type:* `%{optional(String.t) => GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageStats.t}`, *default:* `nil`) - Usage statistics over each of the pre-defined time ranges, supported strings for time ranges are {\"24H\", \"7D\", \"30D\"}.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageSignal.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageSignal.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageSignal.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageSignal.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageSignal.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageStats","doc":"Detailed counts on the entry's usage. Caveats: - Only BigQuery tables have usage stats - The usage stats only include BigQuery query jobs - The usage stats might be underestimated, e.g. wildcard table references are not yet counted in usage computation https://cloud.google.com/bigquery/docs/querying-wildcard-tables","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageStats.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageStats","doc":"*   `totalCancellations` (*type:* `number()`, *default:* `nil`) - The number of times that the underlying entry was attempted to be used but was cancelled by the user.\n*   `totalCompletions` (*type:* `number()`, *default:* `nil`) - The number of times that the underlying entry was successfully used.\n*   `totalExecutionTimeForCompletionsMillis` (*type:* `number()`, *default:* `nil`) - Total time spent (in milliseconds) during uses the resulted in completions.\n*   `totalFailures` (*type:* `number()`, *default:* `nil`) - The number of times that the underlying entry was attempted to be used but failed.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageStats.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageStats.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageStats.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageStats.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1UsageStats.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec","doc":"Table view specification.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec","doc":"*   `viewQuery` (*type:* `String.t`, *default:* `nil`) - Output only. The query that defines the table view.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.Policy","doc":"An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** ``` { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time < timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } ``` **YAML example:** ``` bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time < timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 ``` For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).","ref":"GoogleApi.DataCatalog.V1beta1.Model.Policy.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.Policy","doc":"*   `bindings` (*type:* `list(GoogleApi.DataCatalog.V1beta1.Model.Binding.t)`, *default:* `nil`) - Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - `etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.\n*   `version` (*type:* `integer()`, *default:* `nil`) - Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: * Getting a policy that includes a conditional role binding * Adding a conditional role binding to a policy * Changing a conditional role binding in a policy * Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).","ref":"GoogleApi.DataCatalog.V1beta1.Model.Policy.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.Policy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Policy.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.Policy.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.Policy.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest","doc":"Request message for `SetIamPolicy` method.","ref":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest","doc":"*   `policy` (*type:* `GoogleApi.DataCatalog.V1beta1.Model.Policy.t`, *default:* `nil`) - REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.","ref":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.DataCatalog.V1beta1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.Status.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest","doc":"Request message for `TestIamPermissions` method.","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest","doc":"*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse","doc":"Response message for `TestIamPermissions` method.","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse","doc":"*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - A subset of `TestPermissionsRequest.permissions` that the caller is allowed.","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse.t/0","doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}